-------------------------
-- PITS OF DOOM GAME SQL
-- design1online.com, LLC
-- 6.17.2011
-------------------------

--
-- Table structure for table `characters`
--

CREATE TABLE IF NOT EXISTS `characters` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `memberid` int(11) NOT NULL DEFAULT '0',
  `firstname` varchar(15) NOT NULL DEFAULT '',
  `lastname` varchar(15) NOT NULL DEFAULT '',
  `type` int(11) NOT NULL DEFAULT '0',
  `monster` tinyint(1) NOT NULL DEFAULT '0',
  `money` int(11) NOT NULL DEFAULT '0',
  `health` int(11) NOT NULL DEFAULT '0',
  `speed` int(11) NOT NULL DEFAULT '0',
  `intelligence` int(11) NOT NULL DEFAULT '0',
  `strength` int(11) NOT NULL DEFAULT '0',
  `agility` int(11) NOT NULL DEFAULT '0',
  `magic` int(11) NOT NULL DEFAULT '0',
  `fightlvl` int(11) NOT NULL DEFAULT '0',
  `magiclvl` int(11) NOT NULL DEFAULT '0',
  `magicamount` int(11) NOT NULL DEFAULT '0',
  `weapon` int(11) NOT NULL DEFAULT '0',
  `spell` int(11) NOT NULL DEFAULT '0',
  `armor` int(11) NOT NULL DEFAULT '0',
  `shield` int(11) NOT NULL DEFAULT '0',
  `mapid` int(11) NOT NULL DEFAULT '0',
  `x` int(11) NOT NULL DEFAULT '0',
  `y` int(11) NOT NULL DEFAULT '0',
  `z` int(11) NOT NULL DEFAULT '0',
  `active` tinyint(1) NOT NULL DEFAULT '0',
  `attacking` int(11) NOT NULL DEFAULT '0',
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2;

--
-- Dumping data for table `characters`
--

INSERT INTO `characters` (`id`, `memberid`, `firstname`, `lastname`, `type`, `monster`, `money`, `health`, `speed`, `intelligence`, `strength`, `agility`, `magic`, `fightlvl`, `magiclvl`, `magicamount`, `weapon`, `spell`, `armor`, `shield`, `mapid`, `x`, `y`, `z`, `active`, `attacking`) VALUES
(1, 1, 'John', 'Doe', 1, 0, 0, 100, 32, 67, 43, 68, 15, 0, 0, 0, 0, 0, 0, 0, 1, 3, 6, 2, 1, 0);

-- --------------------------------------------------------

--
-- Table structure for table `character_types`
--

CREATE TABLE IF NOT EXISTS `character_types` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL DEFAULT '',
  `minhealth` int(11) NOT NULL DEFAULT '0',
  `maxhealth` int(11) NOT NULL DEFAULT '0',
  `minspeed` int(11) NOT NULL DEFAULT '0',
  `maxspeed` int(11) NOT NULL DEFAULT '0',
  `minintelligence` int(11) NOT NULL DEFAULT '0',
  `maxintelligence` int(11) NOT NULL DEFAULT '0',
  `minstrength` int(11) NOT NULL DEFAULT '0',
  `maxstrength` int(11) NOT NULL DEFAULT '0',
  `minagility` int(11) NOT NULL DEFAULT '0',
  `maxagility` int(11) NOT NULL DEFAULT '0',
  `minmagic` int(11) NOT NULL DEFAULT '0',
  `maxmagic` int(11) NOT NULL DEFAULT '0',
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5;

--
-- Dumping data for table `character_types`
--

INSERT INTO `character_types` (`id`, `name`, `minhealth`, `maxhealth`, `minspeed`, `maxspeed`, `minintelligence`, `maxintelligence`, `minstrength`, `maxstrength`, `minagility`, `maxagility`, `minmagic`, `maxmagic`) VALUES
(1, 'Human', 100, 100, 20, 60, 30, 85, 25, 60, 40, 90, 10, 65),
(2, 'Elf', 100, 100, 60, 100, 45, 90, 60, 90, 60, 100, 75, 100),
(3, 'Dwarf', 100, 100, 2, 35, 75, 100, 50, 100, 2, 50, 0, 45),
(4, 'Ogre', 100, 100, 5, 25, 5, 35, 85, 100, 5, 35, 0, 10);

-- --------------------------------------------------------

--
-- Table structure for table `map`
--

CREATE TABLE IF NOT EXISTS `map` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL DEFAULT '',
  `depth` int(11) NOT NULL DEFAULT '0',
  `tile_width` int(1) NOT NULL,
  `tile_height` int(1) NOT NULL,
  `tile_xoffset` int(1) NOT NULL,
  `tile_yoffset` int(11) NOT NULL,
  `tile_row_count` int(1) NOT NULL,
  `tile_sheet` varchar(50) NOT NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3;

--
-- Dumping data for table `map`
--

INSERT INTO `map` (`id`, `name`, `depth`, `tile_width`, `tile_height`, `tile_xoffset`, `tile_yoffset`, `tile_row_count`, `tile_sheet`) VALUES
(1, 'Round Hill', 5, 48, 48, 2, 2, 0, 'bleak_48x48.png'),
(2, 'Harper Run', 0, 0, 0, 0, 0, 0, '');

-- --------------------------------------------------------

--
-- Table structure for table `mapdata`
--

CREATE TABLE IF NOT EXISTS `mapdata` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mapid` int(11) NOT NULL DEFAULT '0',
  `x` int(11) NOT NULL DEFAULT '0',
  `y` int(11) NOT NULL DEFAULT '0',
  `z` int(11) NOT NULL DEFAULT '0',
  `value` char(1) NOT NULL DEFAULT '',
  `tile_x` int(11) NOT NULL,
  `tile_y` int(11) NOT NULL,
  UNIQUE KEY `id` (`id`),
  KEY `x` (`x`,`y`,`z`),
  KEY `value` (`value`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1802;

--
-- Dumping data for table `mapdata`
--

INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`, `tile_x`, `tile_y`) VALUES
(1, 1, 0, 0, 1, 'W', 7, 6),
(2, 1, 0, 1, 1, 'W', 8, 6),
(3, 1, 0, 2, 1, 'W', 8, 6),
(4, 1, 0, 3, 1, 'W', 8, 6),
(5, 1, 0, 4, 1, 'W', 8, 6),
(6, 1, 0, 5, 1, 'W', 8, 6),
(7, 1, 0, 6, 1, 'W', 8, 6),
(8, 1, 0, 7, 1, 'W', 8, 6),
(9, 1, 0, 8, 1, 'W', 8, 6),
(10, 1, 0, 9, 1, 'W', 8, 6),
(11, 1, 0, 10, 1, 'W', 8, 6),
(12, 1, 0, 11, 1, 'W', 8, 6),
(13, 1, 0, 12, 1, 'W', 8, 6),
(14, 1, 0, 13, 1, 'W', 9, 6),
(15, 1, 0, 14, 1, 'W', 0, 0),
(16, 1, 1, 0, 1, 'W', 7, 7),
(17, 1, 1, 1, 1, 'X', 0, 4),
(18, 1, 1, 2, 1, 'X', 0, 4),
(19, 1, 1, 3, 1, 'E', 0, 1),
(20, 1, 1, 4, 1, 'E', 4, 0),
(21, 1, 1, 5, 1, 'E', 1, 6),
(22, 1, 1, 6, 1, 'E', 1, 6),
(23, 1, 1, 7, 1, 'W', 3, 5),
(24, 1, 1, 8, 1, 'T', 6, 2),
(25, 1, 1, 9, 1, 'E', 5, 0),
(26, 1, 1, 10, 1, 'W', 7, 4),
(27, 1, 1, 11, 1, 'E', 5, 0),
(28, 1, 1, 12, 1, 'E', 5, 1),
(29, 1, 1, 13, 1, 'W', 9, 7),
(30, 1, 1, 14, 1, 'W', 0, 0),
(31, 1, 2, 0, 1, 'W', 7, 7),
(32, 1, 2, 1, 1, 'E', 5, 1),
(33, 1, 2, 2, 1, 'E', 5, 0),
(34, 1, 2, 3, 1, 'E', 5, 0),
(35, 1, 2, 4, 1, 'E', 0, 1),
(36, 1, 2, 5, 1, 'E', 3, 0),
(37, 1, 2, 6, 1, 'E', 3, 0),
(38, 1, 2, 7, 1, 'W', 10, 4),
(39, 1, 2, 8, 1, 'W', 1, 4),
(40, 1, 2, 9, 1, 'E', 5, 1),
(41, 1, 2, 10, 1, 'W', 7, 4),
(42, 1, 2, 11, 1, 'E', 5, 0),
(43, 1, 2, 12, 1, 'E', 0, 4),
(44, 1, 2, 13, 1, 'W', 9, 7),
(45, 1, 2, 14, 1, 'W', 0, 0),
(46, 1, 3, 0, 1, 'W', 7, 7),
(47, 1, 3, 1, 1, 'W', 8, 3),
(48, 1, 3, 2, 1, 'W', 8, 3),
(49, 1, 3, 3, 1, 'W', 8, 3),
(50, 1, 3, 4, 1, 'W', 9, 3),
(51, 1, 3, 5, 1, 'E', 5, 0),
(52, 1, 3, 6, 1, 'E', 5, 0),
(53, 1, 3, 7, 1, 'E', 6, 2),
(54, 1, 3, 8, 1, 'E', 5, 1),
(55, 1, 3, 9, 1, 'E', 5, 1),
(56, 1, 3, 10, 1, 'W', 7, 4),
(57, 1, 3, 11, 1, 'E', 5, 0),
(58, 1, 3, 12, 1, 'E', 0, 4),
(59, 1, 3, 13, 1, 'W', 9, 7),
(60, 1, 3, 14, 1, 'W', 0, 0),
(61, 1, 4, 0, 1, 'W', 7, 7),
(62, 1, 4, 1, 1, 'E', 5, 1),
(63, 1, 4, 2, 1, 'E', 5, 0),
(64, 1, 4, 3, 1, 'X', 0, 4),
(65, 1, 4, 4, 1, 'E', 9, 5),
(66, 1, 4, 5, 1, 'E', 5, 1),
(67, 1, 4, 6, 1, 'E', 5, 0),
(68, 1, 4, 7, 1, 'X', 0, 4),
(69, 1, 4, 8, 1, 'E', 0, 4),
(70, 1, 4, 9, 1, 'X', 0, 4),
(71, 1, 4, 10, 1, 'W', 7, 4),
(72, 1, 4, 11, 1, 'E', 5, 1),
(73, 1, 4, 12, 1, 'X', 0, 4),
(74, 1, 4, 13, 1, 'W', 9, 7),
(75, 1, 4, 14, 1, 'W', 0, 0),
(76, 1, 5, 0, 1, 'W', 7, 7),
(77, 1, 5, 1, 1, 'E', 5, 0),
(78, 1, 5, 2, 1, 'W', 7, 3),
(79, 1, 5, 3, 1, 'W', 9, 3),
(80, 1, 5, 4, 1, 'E', 5, 0),
(81, 1, 5, 5, 1, 'W', 7, 3),
(82, 1, 5, 6, 1, 'W', 8, 3),
(83, 1, 5, 7, 1, 'W', 8, 3),
(84, 1, 5, 8, 1, 'W', 8, 3),
(85, 1, 5, 9, 1, 'W', 8, 3),
(86, 1, 5, 10, 1, 'W', 11, 4),
(87, 1, 5, 11, 1, 'E', 5, 0),
(88, 1, 5, 12, 1, 'W', 2, 5),
(89, 1, 5, 13, 1, 'W', 9, 7),
(90, 1, 5, 14, 1, 'W', 0, 0),
(91, 1, 6, 0, 1, 'W', 7, 7),
(92, 1, 6, 1, 1, 'E', 0, 4),
(93, 1, 6, 2, 1, 'W', 7, 4),
(94, 1, 6, 3, 1, 'W', 9, 4),
(95, 1, 6, 4, 1, 'E', 5, 0),
(96, 1, 6, 5, 1, 'W', 7, 4),
(97, 1, 6, 6, 1, 'E', 2, 3),
(98, 1, 6, 7, 1, 'E', 5, 5),
(99, 1, 6, 8, 1, 'E', 5, 5),
(100, 1, 6, 9, 1, 'E', 5, 5),
(101, 1, 6, 10, 1, 'E', 5, 5),
(102, 1, 6, 11, 1, 'E', 5, 1),
(103, 1, 6, 12, 1, 'W', 2, 5),
(104, 1, 6, 13, 1, 'W', 9, 7),
(105, 1, 6, 14, 1, 'W', 0, 0),
(106, 1, 7, 0, 1, 'W', 7, 7),
(107, 1, 7, 1, 1, 'E', 10, 0),
(108, 1, 7, 2, 1, 'W', 7, 5),
(109, 1, 7, 3, 1, 'W', 9, 5),
(110, 1, 7, 4, 1, 'E', 5, 1),
(111, 1, 7, 5, 1, 'E', 4, 5),
(112, 1, 7, 6, 1, 'E', 6, 5),
(113, 1, 7, 7, 1, 'E', 5, 0),
(114, 1, 7, 8, 1, 'E', 5, 1),
(115, 1, 7, 9, 1, 'E', 7, 3),
(116, 1, 7, 10, 1, 'W', 8, 3),
(117, 1, 7, 11, 1, 'W', 8, 3),
(118, 1, 7, 12, 1, 'W', 11, 4),
(119, 1, 7, 13, 1, 'W', 9, 7),
(120, 1, 7, 14, 1, 'W', 0, 0),
(121, 1, 8, 0, 1, 'W', 7, 7),
(122, 1, 8, 1, 1, 'E', 10, 1),
(123, 1, 8, 2, 1, 'E', 7, 1),
(124, 1, 8, 3, 1, 'E', 11, 0),
(125, 1, 8, 4, 1, 'X', 0, 4),
(126, 1, 8, 5, 1, 'W', 7, 4),
(127, 1, 8, 6, 1, 'E', 5, 1),
(128, 1, 8, 7, 1, 'E', 7, 3),
(129, 1, 8, 8, 1, 'W', 8, 3),
(130, 1, 8, 9, 1, 'W', 10, 3),
(131, 1, 8, 10, 1, 'E', 5, 1),
(132, 1, 8, 11, 1, 'E', 5, 0),
(133, 1, 8, 12, 1, 'S', 5, 1),
(134, 1, 8, 13, 1, 'W', 9, 7),
(135, 1, 8, 14, 1, 'W', 0, 0),
(136, 1, 9, 0, 1, 'W', 7, 7),
(137, 1, 9, 1, 1, 'E', 10, 1),
(138, 1, 9, 2, 1, 'E', 10, 1),
(139, 1, 9, 3, 1, 'E', 11, 1),
(140, 1, 9, 4, 1, 'E', 5, 0),
(141, 1, 9, 5, 1, 'W', 7, 4),
(142, 1, 9, 6, 1, 'E', 5, 0),
(143, 1, 9, 7, 1, 'W', 7, 4),
(144, 1, 9, 8, 1, 'E', 5, 0),
(145, 1, 9, 9, 1, 'E', 5, 1),
(146, 1, 9, 10, 1, 'E', 5, 0),
(147, 1, 9, 11, 1, 'W', 8, 3),
(148, 1, 9, 12, 1, 'W', 8, 3),
(149, 1, 9, 13, 1, 'W', 9, 7),
(150, 1, 9, 14, 1, 'W', 0, 0),
(151, 1, 10, 0, 1, 'W', 7, 7),
(152, 1, 10, 1, 1, 'E', 10, 1),
(153, 1, 10, 2, 1, 'E', 10, 1),
(154, 1, 10, 3, 1, 'E', 11, 1),
(155, 1, 10, 4, 1, 'E', 5, 0),
(156, 1, 10, 5, 1, 'W', 2, 5),
(157, 1, 10, 6, 1, 'X', 0, 4),
(158, 1, 10, 7, 1, 'W', 7, 4),
(159, 1, 10, 8, 1, 'E', 5, 1),
(160, 1, 10, 9, 1, 'W', 1, 4),
(161, 1, 10, 10, 1, 'W', 8, 3),
(162, 1, 10, 11, 1, 'W', 0, 3),
(163, 1, 10, 12, 1, 'W', 0, 3),
(164, 1, 10, 13, 1, 'W', 9, 7),
(165, 1, 10, 14, 1, 'W', 0, 0),
(166, 1, 11, 0, 1, 'W', 7, 7),
(167, 1, 11, 1, 1, 'E', 10, 1),
(168, 1, 11, 2, 1, 'E', 7, 0),
(169, 1, 11, 3, 1, 'E', 5, 1),
(170, 1, 11, 4, 1, 'E', 5, 0),
(171, 1, 11, 5, 1, 'E', 5, 1),
(172, 1, 11, 6, 1, 'E', 5, 0),
(173, 1, 11, 7, 1, 'W', 7, 4),
(174, 1, 11, 8, 1, 'E', 5, 1),
(175, 1, 11, 9, 1, 'E', 5, 0),
(176, 1, 11, 10, 1, 'E', 5, 1),
(177, 1, 11, 11, 1, 'E', 5, 0),
(178, 1, 11, 12, 1, 'E', 5, 0),
(179, 1, 11, 13, 1, 'W', 9, 7),
(180, 1, 11, 14, 1, 'W', 0, 0),
(181, 1, 12, 0, 1, 'W', 7, 7),
(182, 1, 12, 1, 1, 'E', 10, 1),
(183, 1, 12, 2, 1, 'E', 11, 1),
(184, 1, 12, 3, 1, 'E', 7, 3),
(185, 1, 12, 4, 1, 'W', 8, 3),
(186, 1, 12, 5, 1, 'W', 8, 3),
(187, 1, 12, 6, 1, 'E', 6, 3),
(188, 1, 12, 7, 1, 'E', 0, 4),
(189, 1, 12, 8, 1, 'E', 5, 4),
(190, 1, 12, 9, 1, 'E', 4, 3),
(191, 1, 12, 10, 1, 'W', 8, 3),
(192, 1, 12, 11, 1, 'W', 8, 3),
(193, 1, 12, 12, 1, 'W', 8, 3),
(194, 1, 12, 13, 1, 'W', 9, 7),
(195, 1, 12, 14, 1, 'W', 0, 0),
(196, 1, 13, 0, 1, 'W', 7, 8),
(197, 1, 13, 1, 1, 'W', 8, 8),
(198, 1, 13, 2, 1, 'W', 8, 8),
(199, 1, 13, 3, 1, 'W', 8, 8),
(200, 1, 13, 4, 1, 'W', 8, 8),
(201, 1, 13, 5, 1, 'W', 8, 8),
(202, 1, 13, 6, 1, 'W', 8, 8),
(203, 1, 13, 7, 1, 'W', 8, 8),
(204, 1, 13, 8, 1, 'W', 8, 8),
(205, 1, 13, 9, 1, 'W', 8, 8),
(206, 1, 13, 10, 1, 'W', 8, 8),
(207, 1, 13, 11, 1, 'W', 8, 8),
(208, 1, 13, 12, 1, 'W', 8, 8),
(209, 1, 13, 13, 1, 'W', 9, 8),
(210, 1, 13, 14, 1, 'W', 0, 0),
(211, 1, 14, 0, 1, 'W', 0, 0),
(212, 1, 14, 1, 1, 'W', 0, 0),
(213, 1, 14, 2, 1, 'W', 0, 0),
(214, 1, 14, 3, 1, 'W', 0, 0),
(215, 1, 14, 4, 1, 'W', 0, 0),
(216, 1, 14, 5, 1, 'W', 0, 0),
(217, 1, 14, 6, 1, 'W', 0, 0),
(218, 1, 14, 7, 1, 'W', 0, 0),
(219, 1, 14, 8, 1, 'W', 0, 0),
(220, 1, 14, 9, 1, 'W', 0, 0),
(221, 1, 14, 10, 1, 'W', 0, 0),
(222, 1, 14, 11, 1, 'W', 0, 0),
(223, 1, 14, 12, 1, 'W', 0, 0),
(224, 1, 14, 13, 1, 'W', 0, 0),
(225, 1, 14, 14, 1, 'W', 0, 0),
(226, 1, 0, 0, 2, 'W', 1, 6),
(227, 1, 0, 1, 2, 'W', 1, 6),
(228, 1, 0, 2, 2, 'W', 2, 0),
(229, 1, 0, 3, 2, 'W', 3, 0),
(230, 1, 0, 4, 2, 'W', 3, 0),
(231, 1, 0, 5, 2, 'W', 3, 0),
(232, 1, 0, 6, 2, 'W', 3, 0),
(233, 1, 0, 7, 2, 'W', 1, 6),
(234, 1, 0, 8, 2, 'W', 2, 0),
(235, 1, 0, 9, 2, 'W', 3, 0),
(236, 1, 0, 10, 2, 'W', 4, 0),
(237, 1, 0, 11, 2, 'W', 1, 6),
(238, 1, 0, 12, 2, 'W', 1, 6),
(239, 1, 0, 13, 2, 'W', 1, 6),
(240, 1, 0, 14, 2, 'W', 0, 0),
(241, 1, 1, 0, 2, 'W', 1, 6),
(242, 1, 1, 1, 2, 'W', 2, 0),
(243, 1, 1, 2, 2, 'E', 4, 3),
(244, 1, 1, 3, 2, 'E', 5, 3),
(245, 1, 1, 4, 2, 'E', 6, 3),
(246, 1, 1, 5, 2, 'E', 5, 0),
(247, 1, 1, 6, 2, 'E', 5, 1),
(248, 1, 1, 7, 2, 'W', 2, 1),
(249, 1, 1, 8, 2, 'E', 5, 1),
(250, 1, 1, 9, 2, 'E', 5, 0),
(251, 1, 1, 10, 2, 'E', 0, 1),
(252, 1, 1, 11, 2, 'W', 4, 0),
(253, 1, 1, 12, 2, 'W', 1, 6),
(254, 1, 1, 13, 2, 'W', 1, 6),
(255, 1, 1, 14, 2, 'W', 0, 0),
(256, 1, 2, 0, 2, 'W', 1, 6),
(257, 1, 2, 1, 2, 'W', 2, 1),
(258, 1, 2, 2, 2, 'E', 4, 4),
(259, 1, 2, 3, 2, 'L', 8, 4),
(260, 1, 2, 4, 2, 'E', 6, 4),
(261, 1, 2, 5, 2, 'E', 5, 1),
(262, 1, 2, 6, 2, 'E', 5, 0),
(263, 1, 2, 7, 2, 'W', 2, 1),
(264, 1, 2, 8, 2, 'E', 5, 0),
(265, 1, 2, 9, 2, 'E', 5, 1),
(266, 1, 2, 10, 2, 'E', 5, 1),
(267, 1, 2, 11, 2, 'W', 4, 1),
(268, 1, 2, 12, 2, 'W', 5, 7),
(269, 1, 2, 13, 2, 'W', 1, 6),
(270, 1, 2, 14, 2, 'W', 0, 0),
(271, 1, 3, 0, 2, 'W', 1, 6),
(272, 1, 3, 1, 2, 'W', 2, 1),
(273, 1, 3, 2, 2, 'E', 4, 5),
(274, 1, 3, 3, 2, 'E', 5, 5),
(275, 1, 3, 4, 2, 'E', 6, 5),
(276, 1, 3, 5, 2, 'W', 0, 0),
(277, 1, 3, 6, 2, 'E', 5, 1),
(278, 1, 3, 7, 2, 'W', 2, 1),
(279, 1, 3, 8, 2, 'E', 5, 1),
(280, 1, 3, 9, 2, 'X', 0, 4),
(281, 1, 3, 10, 2, 'E', 5, 0),
(282, 1, 3, 11, 2, 'E', 4, 1),
(283, 1, 3, 12, 2, 'W', 5, 7),
(284, 1, 3, 13, 2, 'W', 1, 6),
(285, 1, 3, 14, 2, 'W', 0, 0),
(286, 1, 4, 0, 2, 'W', 2, 0),
(287, 1, 4, 1, 2, 'E', 5, 0),
(288, 1, 4, 2, 2, 'E', 5, 1),
(289, 1, 4, 3, 2, 'X', 0, 4),
(290, 1, 4, 4, 2, 'E', 5, 0),
(291, 1, 4, 5, 2, 'W', 4, 1),
(292, 1, 4, 6, 2, 'E', 5, 1),
(293, 1, 4, 7, 2, 'W', 1, 1),
(294, 1, 4, 8, 2, 'E', 5, 0),
(295, 1, 4, 9, 2, 'X', 0, 4),
(296, 1, 4, 10, 2, 'W', 0, 0),
(297, 1, 4, 11, 2, 'E', 5, 1),
(298, 1, 4, 12, 2, 'W', 4, 0),
(299, 1, 4, 13, 2, 'W', 1, 6),
(300, 1, 4, 14, 2, 'W', 0, 0),
(301, 1, 5, 0, 2, 'W', 2, 1),
(302, 1, 5, 1, 2, 'E', 5, 1),
(303, 1, 5, 2, 2, 'W', 0, 0),
(304, 1, 5, 3, 2, 'W', 3, 2),
(305, 1, 5, 4, 2, 'W', 3, 2),
(306, 1, 5, 5, 2, 'W', 4, 2),
(307, 1, 5, 6, 2, 'S', 1, 0),
(308, 1, 5, 7, 2, 'X', 0, 4),
(309, 1, 5, 8, 2, 'E', 5, 0),
(310, 1, 5, 9, 2, 'E', 5, 1),
(311, 1, 5, 10, 2, 'W', 0, 0),
(312, 1, 5, 11, 2, 'E', 5, 0),
(313, 1, 5, 12, 2, 'W', 0, 1),
(314, 1, 5, 13, 2, 'W', 4, 0),
(315, 1, 5, 14, 2, 'W', 0, 0),
(316, 1, 6, 0, 2, 'W', 2, 1),
(317, 1, 6, 1, 2, 'E', 5, 1),
(318, 1, 6, 2, 2, 'E', 5, 0),
(319, 1, 6, 3, 2, 'E', 5, 1),
(320, 1, 6, 4, 2, 'E', 0, 1),
(321, 1, 6, 5, 2, 'W', 4, 0),
(322, 1, 6, 6, 2, 'W', 2, 2),
(323, 1, 6, 7, 2, 'W', 3, 2),
(324, 1, 6, 8, 2, 'E', 1, 0),
(325, 1, 6, 9, 2, 'E', 5, 0),
(326, 1, 6, 10, 2, 'E', 5, 1),
(327, 1, 6, 11, 2, 'E', 5, 0),
(328, 1, 6, 12, 2, 'E', 5, 1),
(329, 1, 6, 13, 2, 'W', 4, 1),
(330, 1, 6, 14, 2, 'W', 0, 0),
(331, 1, 7, 0, 2, 'W', 2, 1),
(332, 1, 7, 1, 2, 'E', 5, 0),
(333, 1, 7, 2, 2, 'W', 0, 0),
(334, 1, 7, 3, 2, 'E', 1, 0),
(335, 1, 7, 4, 2, 'E', 5, 0),
(336, 1, 7, 5, 2, 'E', 5, 0),
(337, 1, 7, 6, 2, 'E', 5, 1),
(338, 1, 7, 7, 2, 'E', 5, 0),
(339, 1, 7, 8, 2, 'E', 5, 1),
(340, 1, 7, 9, 2, 'W', 0, 0),
(341, 1, 7, 10, 2, 'W', 3, 2),
(342, 1, 7, 11, 2, 'W', 1, 0),
(343, 1, 7, 12, 2, 'E', 5, 0),
(344, 1, 7, 13, 2, 'W', 4, 1),
(345, 1, 7, 14, 2, 'W', 0, 0),
(346, 1, 8, 0, 2, 'W', 2, 1),
(347, 1, 8, 1, 2, 'E', 5, 1),
(348, 1, 8, 2, 2, 'X', 0, 4),
(349, 1, 8, 3, 2, 'W', 1, 1),
(350, 1, 8, 4, 2, 'E', 3, 1),
(351, 1, 8, 5, 2, 'E', 5, 1),
(352, 1, 8, 6, 2, 'E', 5, 0),
(353, 1, 8, 7, 2, 'E', 5, 1),
(354, 1, 8, 8, 2, 'E', 5, 0),
(355, 1, 8, 9, 2, 'W', 4, 1),
(356, 1, 8, 10, 2, 'X', 0, 4),
(357, 1, 8, 11, 2, 'E', 5, 1),
(358, 1, 8, 12, 2, 'E', 5, 1),
(359, 1, 8, 13, 2, 'W', 4, 1),
(360, 1, 8, 14, 2, 'W', 0, 0),
(361, 1, 9, 0, 2, 'W', 2, 1),
(362, 1, 9, 1, 2, 'E', 5, 1),
(363, 1, 9, 2, 2, 'E', 5, 0),
(364, 1, 9, 3, 2, 'E', 5, 1),
(365, 1, 9, 4, 2, 'W', 1, 0),
(366, 1, 9, 5, 2, 'E', 5, 0),
(367, 1, 9, 6, 2, 'X', 0, 4),
(368, 1, 9, 7, 2, 'X', 0, 4),
(369, 1, 9, 8, 2, 'X', 0, 4),
(370, 1, 9, 9, 2, 'W', 4, 2),
(371, 1, 9, 10, 2, 'E', 5, 1),
(372, 1, 9, 11, 2, 'E', 5, 0),
(373, 1, 9, 12, 2, 'E', 5, 1),
(374, 1, 9, 13, 2, 'W', 4, 1),
(375, 1, 9, 14, 2, 'W', 0, 0),
(376, 1, 10, 0, 2, 'W', 2, 1),
(377, 1, 10, 1, 2, 'E', 5, 0),
(378, 1, 10, 2, 2, 'E', 5, 0),
(379, 1, 10, 3, 2, 'W', 4, 1),
(380, 1, 10, 4, 2, 'W', 2, 1),
(381, 1, 10, 5, 2, 'E', 5, 1),
(382, 1, 10, 6, 2, 'E', 5, 0),
(383, 1, 10, 7, 2, 'W', 0, 1),
(384, 1, 10, 8, 2, 'W', 3, 0),
(385, 1, 10, 9, 2, 'W', 1, 1),
(386, 1, 10, 10, 2, 'E', 5, 0),
(387, 1, 10, 11, 2, 'X', 0, 4),
(388, 1, 10, 12, 2, 'E', 5, 0),
(389, 1, 10, 13, 2, 'W', 4, 1),
(390, 1, 10, 14, 2, 'W', 0, 0),
(391, 1, 11, 0, 2, 'W', 2, 1),
(392, 1, 11, 1, 2, 'E', 5, 1),
(393, 1, 11, 2, 2, 'X', 0, 4),
(394, 1, 11, 3, 2, 'W', 4, 1),
(395, 1, 11, 4, 2, 'W', 2, 1),
(396, 1, 11, 5, 2, 'E', 5, 1),
(397, 1, 11, 6, 2, 'X', 0, 4),
(398, 1, 11, 7, 2, 'E', 5, 0),
(399, 1, 11, 8, 2, 'E', 5, 1),
(400, 1, 11, 9, 2, 'E', 5, 0),
(401, 1, 11, 10, 2, 'E', 0, 0),
(402, 1, 11, 11, 2, 'W', 3, 2),
(403, 1, 11, 12, 2, 'W', 0, 0),
(404, 1, 11, 13, 2, 'W', 4, 2),
(405, 1, 11, 14, 2, 'W', 0, 0),
(406, 1, 12, 0, 2, 'W', 2, 2),
(407, 1, 12, 1, 2, 'E', 1, 0),
(408, 1, 12, 2, 2, 'E', 5, 0),
(409, 1, 12, 3, 2, 'E', 4, 2),
(410, 1, 12, 4, 2, 'W', 2, 2),
(411, 1, 12, 5, 2, 'E', 1, 0),
(412, 1, 12, 6, 2, 'E', 5, 0),
(413, 1, 12, 7, 2, 'E', 5, 1),
(414, 1, 12, 8, 2, 'E', 5, 0),
(415, 1, 12, 9, 2, 'W', 0, 0),
(416, 1, 12, 10, 2, 'W', 4, 2),
(417, 1, 12, 11, 2, 'W', 1, 6),
(418, 1, 12, 12, 2, 'W', 1, 6),
(419, 1, 12, 13, 2, 'W', 1, 6),
(420, 1, 12, 14, 2, 'W', 0, 0),
(421, 1, 13, 0, 2, 'W', 1, 6),
(422, 1, 13, 1, 2, 'W', 2, 2),
(423, 1, 13, 2, 2, 'W', 4, 2),
(424, 1, 13, 3, 2, 'W', 1, 6),
(425, 1, 13, 4, 2, 'W', 1, 6),
(426, 1, 13, 5, 2, 'W', 2, 2),
(427, 1, 13, 6, 2, 'W', 3, 2),
(428, 1, 13, 7, 2, 'W', 3, 2),
(429, 1, 13, 8, 2, 'W', 3, 2),
(430, 1, 13, 9, 2, 'W', 4, 2),
(431, 1, 13, 10, 2, 'W', 1, 6),
(432, 1, 13, 11, 2, 'W', 1, 6),
(433, 1, 13, 12, 2, 'W', 1, 6),
(434, 1, 13, 13, 2, 'W', 1, 6),
(435, 1, 13, 14, 2, 'W', 0, 0),
(436, 1, 14, 0, 2, 'W', 0, 0),
(437, 1, 14, 1, 2, 'W', 0, 0),
(438, 1, 14, 2, 2, 'W', 0, 0),
(439, 1, 14, 3, 2, 'W', 0, 0),
(440, 1, 14, 4, 2, 'W', 0, 0),
(441, 1, 14, 5, 2, 'W', 0, 0),
(442, 1, 14, 6, 2, 'W', 0, 0),
(443, 1, 14, 7, 2, 'W', 0, 0),
(444, 1, 14, 8, 2, 'W', 0, 0),
(445, 1, 14, 9, 2, 'W', 0, 0),
(446, 1, 14, 10, 2, 'W', 0, 0),
(447, 1, 14, 11, 2, 'W', 0, 0),
(448, 1, 14, 12, 2, 'W', 0, 0),
(449, 1, 14, 13, 2, 'W', 0, 0),
(450, 1, 14, 14, 2, 'W', 0, 0),
(451, 1, 0, 0, 3, 'W', 7, 0),
(452, 1, 0, 1, 3, 'W', 10, 2),
(453, 1, 0, 2, 3, 'W', 10, 2),
(454, 1, 0, 3, 3, 'W', 8, 0),
(455, 1, 0, 4, 3, 'W', 8, 2),
(456, 1, 0, 5, 3, 'W', 7, 0),
(457, 1, 0, 6, 3, 'W', 10, 2),
(458, 1, 0, 7, 3, 'W', 10, 2),
(459, 1, 0, 8, 3, 'W', 10, 2),
(460, 1, 0, 9, 3, 'W', 10, 2),
(461, 1, 0, 10, 3, 'W', 10, 2),
(462, 1, 0, 11, 3, 'W', 10, 2),
(463, 1, 0, 12, 3, 'W', 8, 0),
(464, 1, 0, 13, 3, 'W', 10, 1),
(465, 1, 0, 14, 3, 'W', 0, 0),
(466, 1, 1, 0, 3, 'W', 11, 1),
(467, 1, 1, 1, 3, 'E', 6, 0),
(468, 1, 1, 2, 3, 'E', 6, 1),
(469, 1, 1, 3, 3, 'E', 9, 2),
(470, 1, 1, 4, 3, 'W', 10, 2),
(471, 1, 1, 5, 3, 'X', 0, 4),
(472, 1, 1, 6, 3, 'E', 6, 0),
(473, 1, 1, 7, 3, 'E', 6, 1),
(474, 1, 1, 8, 3, 'E', 6, 2),
(475, 1, 1, 9, 3, 'E', 6, 0),
(476, 1, 1, 10, 3, 'E', 6, 2),
(477, 1, 1, 11, 3, 'E', 6, 1),
(478, 1, 1, 12, 3, 'E', 9, 2),
(479, 1, 1, 13, 3, 'W', 8, 0),
(480, 1, 1, 14, 3, 'W', 0, 0),
(481, 1, 2, 0, 3, 'W', 11, 1),
(482, 1, 2, 1, 3, 'E', 6, 1),
(483, 1, 2, 2, 3, 'E', 3, 1),
(484, 1, 2, 3, 3, 'E', 6, 0),
(485, 1, 2, 4, 3, 'E', 6, 2),
(486, 1, 2, 5, 3, 'X', 0, 4),
(487, 1, 2, 6, 3, 'W', 9, 0),
(488, 1, 2, 7, 3, 'E', 6, 0),
(489, 1, 2, 8, 3, 'E', 6, 1),
(490, 1, 2, 9, 3, 'E', 6, 2),
(491, 1, 2, 10, 3, 'X', 0, 4),
(492, 1, 2, 11, 3, 'E', 6, 0),
(493, 1, 2, 12, 3, 'E', 6, 1),
(494, 1, 2, 13, 3, 'W', 9, 1),
(495, 1, 2, 14, 3, 'W', 0, 0),
(496, 1, 3, 0, 3, 'W', 11, 1),
(497, 1, 3, 1, 3, 'X', 0, 4),
(498, 1, 3, 2, 3, 'E', 6, 2),
(499, 1, 3, 3, 3, 'E', 6, 1),
(500, 1, 3, 4, 3, 'E', 6, 0),
(501, 1, 3, 5, 3, 'E', 6, 2),
(502, 1, 3, 6, 3, 'S', 6, 0),
(503, 1, 3, 7, 3, 'W', 7, 1),
(504, 1, 3, 8, 3, 'W', 10, 0),
(505, 1, 3, 9, 3, 'E', 11, 0),
(506, 1, 3, 10, 3, 'E', 6, 1),
(507, 1, 3, 11, 3, 'W', 11, 2),
(508, 1, 3, 12, 3, 'E', 6, 1),
(509, 1, 3, 13, 3, 'W', 9, 1),
(510, 1, 3, 14, 3, 'W', 0, 0),
(511, 1, 4, 0, 3, 'W', 11, 1),
(512, 1, 4, 1, 3, 'E', 6, 1),
(513, 1, 4, 2, 3, 'E', 9, 0),
(514, 1, 4, 3, 3, 'W', 8, 1),
(515, 1, 4, 4, 3, 'X', 0, 4),
(516, 1, 4, 5, 3, 'E', 6, 1),
(517, 1, 4, 6, 3, 'W', 9, 1),
(518, 1, 4, 7, 3, 'E', 6, 2),
(519, 1, 4, 8, 3, 'E', 6, 1),
(520, 1, 4, 9, 3, 'E', 6, 1),
(521, 1, 4, 10, 3, 'E', 6, 0),
(522, 1, 4, 11, 3, 'E', 6, 0),
(523, 1, 4, 12, 3, 'E', 6, 2),
(524, 1, 4, 13, 3, 'W', 9, 1),
(525, 1, 4, 14, 3, 'W', 0, 0),
(526, 1, 5, 0, 3, 'W', 11, 1),
(527, 1, 5, 1, 3, 'E', 6, 0),
(528, 1, 5, 2, 3, 'W', 9, 2),
(529, 1, 5, 3, 3, 'W', 8, 0),
(530, 1, 5, 4, 3, 'E', 6, 1),
(531, 1, 5, 5, 3, 'E', 6, 0),
(532, 1, 5, 6, 3, 'W', 9, 2),
(533, 1, 5, 7, 3, 'E', 6, 0),
(534, 1, 5, 8, 3, 'X', 0, 4),
(535, 1, 5, 9, 3, 'W', 9, 0),
(536, 1, 5, 10, 3, 'W', 10, 0),
(537, 1, 5, 11, 3, 'W', 11, 0),
(538, 1, 5, 12, 3, 'E', 6, 0),
(539, 1, 5, 13, 3, 'W', 9, 1),
(540, 1, 5, 14, 3, 'W', 0, 0),
(541, 1, 6, 0, 3, 'W', 11, 1),
(542, 1, 6, 1, 3, 'E', 6, 2),
(543, 1, 6, 2, 3, 'E', 6, 1),
(544, 1, 6, 3, 3, 'E', 6, 0),
(545, 1, 6, 4, 3, 'X', 0, 4),
(546, 1, 6, 5, 3, 'E', 6, 0),
(547, 1, 6, 6, 3, 'X', 0, 4),
(548, 1, 6, 7, 3, 'E', 6, 1),
(549, 1, 6, 8, 3, 'E', 4, 3),
(550, 1, 6, 9, 3, 'E', 5, 3),
(551, 1, 6, 10, 3, 'E', 6, 3),
(552, 1, 6, 11, 3, 'E', 6, 1),
(553, 1, 6, 12, 3, 'E', 6, 1),
(554, 1, 6, 13, 3, 'W', 9, 1),
(555, 1, 6, 14, 3, 'W', 0, 0),
(556, 1, 7, 0, 3, 'W', 11, 1),
(557, 1, 7, 1, 3, 'E', 6, 0),
(558, 1, 7, 2, 3, 'E', 6, 0),
(559, 1, 7, 3, 3, 'E', 6, 1),
(560, 1, 7, 4, 3, 'E', 6, 0),
(561, 1, 7, 5, 3, 'E', 6, 1),
(562, 1, 7, 6, 3, 'E', 6, 0),
(563, 1, 7, 7, 3, 'E', 6, 0),
(564, 1, 7, 8, 3, 'E', 3, 4),
(565, 1, 7, 9, 3, 'L', 8, 4),
(566, 1, 7, 10, 3, 'E', 2, 4),
(567, 1, 7, 11, 3, 'E', 6, 0),
(568, 1, 7, 12, 3, 'E', 6, 1),
(569, 1, 7, 13, 3, 'W', 9, 1),
(570, 1, 7, 14, 3, 'W', 0, 0),
(571, 1, 8, 0, 3, 'W', 11, 1),
(572, 1, 8, 1, 3, 'E', 6, 0),
(573, 1, 8, 2, 3, 'E', 6, 1),
(574, 1, 8, 3, 3, 'E', 6, 1),
(575, 1, 8, 4, 3, 'E', 6, 1),
(576, 1, 8, 5, 3, 'E', 6, 1),
(577, 1, 8, 6, 3, 'E', 6, 0),
(578, 1, 8, 7, 3, 'E', 6, 1),
(579, 1, 8, 8, 3, 'W', 4, 5),
(580, 1, 8, 9, 3, 'E', 5, 5),
(581, 1, 8, 10, 3, 'E', 6, 5),
(582, 1, 8, 11, 3, 'E', 0, 0),
(583, 1, 8, 12, 3, 'E', 9, 0),
(584, 1, 8, 13, 3, 'W', 8, 1),
(585, 1, 8, 14, 3, 'W', 0, 0),
(586, 1, 9, 0, 3, 'W', 11, 1),
(587, 1, 9, 1, 3, 'E', 6, 1),
(588, 1, 9, 2, 3, 'E', 3, 1),
(589, 1, 9, 3, 3, 'X', 0, 4),
(590, 1, 9, 4, 3, 'E', 6, 0),
(591, 1, 9, 5, 3, 'E', 6, 0),
(592, 1, 9, 6, 3, 'E', 6, 1),
(593, 1, 9, 7, 3, 'X', 0, 4),
(594, 1, 9, 8, 3, 'E', 6, 0),
(595, 1, 9, 9, 3, 'E', 6, 1),
(596, 1, 9, 10, 3, 'E', 6, 0),
(597, 1, 9, 11, 3, 'W', 9, 0),
(598, 1, 9, 12, 3, 'W', 8, 1),
(599, 1, 9, 13, 3, 'W', 8, 2),
(600, 1, 9, 14, 3, 'W', 0, 0),
(601, 1, 10, 0, 3, 'W', 7, 1),
(602, 1, 10, 1, 3, 'E', 11, 0),
(603, 1, 10, 2, 3, 'E', 6, 2),
(604, 1, 10, 3, 3, 'E', 6, 1),
(605, 1, 10, 4, 3, 'W', 0, 0),
(606, 1, 10, 5, 3, 'E', 6, 2),
(607, 1, 10, 6, 3, 'E', 6, 1),
(608, 1, 10, 7, 3, 'E', 6, 2),
(609, 1, 10, 8, 3, 'E', 9, 0),
(610, 1, 10, 9, 3, 'W', 10, 0),
(611, 1, 10, 10, 3, 'W', 10, 0),
(612, 1, 10, 11, 3, 'W', 8, 1),
(613, 1, 10, 12, 3, 'E', 7, 0),
(614, 1, 10, 13, 3, 'W', 8, 0),
(615, 1, 10, 14, 3, 'W', 0, 0),
(616, 1, 11, 0, 3, 'W', 10, 1),
(617, 1, 11, 1, 3, 'W', 11, 1),
(618, 1, 11, 2, 3, 'E', 6, 1),
(619, 1, 11, 3, 3, 'E', 6, 0),
(620, 1, 11, 4, 3, 'W', 0, 0),
(621, 1, 11, 5, 3, 'W', 0, 0),
(622, 1, 11, 6, 3, 'X', 0, 4),
(623, 1, 11, 7, 3, 'E', 6, 0),
(624, 1, 11, 8, 3, 'E', 6, 1),
(625, 1, 11, 9, 3, 'E', 6, 1),
(626, 1, 11, 10, 3, 'X', 0, 4),
(627, 1, 11, 11, 3, 'E', 6, 1),
(628, 1, 11, 12, 3, 'E', 6, 0),
(629, 1, 11, 13, 3, 'W', 9, 1),
(630, 1, 11, 14, 3, 'W', 0, 0),
(631, 1, 12, 0, 3, 'W', 7, 0),
(632, 1, 12, 1, 3, 'E', 11, 2),
(633, 1, 12, 2, 3, 'E', 6, 2),
(634, 1, 12, 3, 3, 'X', 0, 4),
(635, 1, 12, 4, 3, 'E', 6, 0),
(636, 1, 12, 5, 3, 'E', 6, 1),
(637, 1, 12, 6, 3, 'E', 6, 0),
(638, 1, 12, 7, 3, 'E', 6, 2),
(639, 1, 12, 8, 3, 'W', 0, 0),
(640, 1, 12, 9, 3, 'E', 6, 0),
(641, 1, 12, 10, 3, 'E', 6, 1),
(642, 1, 12, 11, 3, 'E', 6, 2),
(643, 1, 12, 12, 3, 'X', 0, 4),
(644, 1, 12, 13, 3, 'W', 9, 1),
(645, 1, 12, 14, 3, 'W', 0, 0),
(646, 1, 13, 0, 3, 'W', 7, 1),
(647, 1, 13, 1, 3, 'W', 10, 0),
(648, 1, 13, 2, 3, 'W', 10, 0),
(649, 1, 13, 3, 3, 'W', 10, 0),
(650, 1, 13, 4, 3, 'W', 10, 0),
(651, 1, 13, 5, 3, 'W', 10, 0),
(652, 1, 13, 6, 3, 'W', 10, 0),
(653, 1, 13, 7, 3, 'W', 10, 0),
(654, 1, 13, 8, 3, 'W', 10, 0),
(655, 1, 13, 9, 3, 'W', 10, 0),
(656, 1, 13, 10, 3, 'W', 10, 0),
(657, 1, 13, 11, 3, 'W', 10, 0),
(658, 1, 13, 12, 3, 'W', 10, 0),
(659, 1, 13, 13, 3, 'W', 8, 1),
(660, 1, 13, 14, 3, 'W', 0, 0),
(661, 1, 14, 0, 3, 'W', 0, 0),
(662, 1, 14, 1, 3, 'W', 0, 0),
(663, 1, 14, 2, 3, 'W', 0, 0),
(664, 1, 14, 3, 3, 'W', 0, 0),
(665, 1, 14, 4, 3, 'W', 0, 0),
(666, 1, 14, 5, 3, 'W', 0, 0),
(667, 1, 14, 6, 3, 'W', 0, 0),
(668, 1, 14, 7, 3, 'W', 0, 0),
(669, 1, 14, 8, 3, 'W', 0, 0),
(670, 1, 14, 9, 3, 'W', 0, 0),
(671, 1, 14, 10, 3, 'W', 0, 0),
(672, 1, 14, 11, 3, 'W', 0, 0),
(673, 1, 14, 12, 3, 'W', 0, 0),
(674, 1, 14, 13, 3, 'W', 0, 0),
(675, 1, 14, 14, 3, 'W', 0, 0),
(676, 1, 0, 0, 4, 'W', 0, 3),
(677, 1, 0, 1, 4, 'W', 0, 3),
(678, 1, 0, 2, 4, 'W', 0, 3),
(679, 1, 0, 3, 4, 'W', 0, 3),
(680, 1, 0, 4, 4, 'W', 0, 3),
(681, 1, 0, 5, 4, 'W', 0, 3),
(682, 1, 0, 6, 4, 'W', 0, 3),
(683, 1, 0, 7, 4, 'W', 0, 3),
(684, 1, 0, 8, 4, 'W', 0, 3),
(685, 1, 0, 9, 4, 'W', 0, 3),
(686, 1, 0, 10, 4, 'W', 0, 3),
(687, 1, 0, 11, 4, 'W', 0, 3),
(688, 1, 0, 12, 4, 'W', 0, 3),
(689, 1, 0, 13, 4, 'W', 0, 3),
(690, 1, 0, 14, 4, 'W', 0, 0),
(691, 1, 1, 0, 4, 'W', 0, 3),
(692, 1, 1, 1, 4, 'E', 3, 1),
(693, 1, 1, 2, 4, 'E', 3, 1),
(694, 1, 1, 3, 4, 'E', 3, 1),
(695, 1, 1, 4, 4, 'X', 0, 4),
(696, 1, 1, 5, 4, 'W', 0, 3),
(697, 1, 1, 6, 4, 'L', 8, 4),
(698, 1, 1, 7, 4, 'E', 2, 3),
(699, 1, 1, 8, 4, 'W', 6, 5),
(700, 1, 1, 9, 4, 'E', 3, 1),
(701, 1, 1, 10, 4, 'W', 0, 3),
(702, 1, 1, 11, 4, 'W', 0, 3),
(703, 1, 1, 12, 4, 'W', 0, 3),
(704, 1, 1, 13, 4, 'W', 0, 3),
(705, 1, 1, 14, 4, 'W', 0, 0),
(706, 1, 2, 0, 4, 'W', 0, 3),
(707, 1, 2, 1, 4, 'E', 3, 1),
(708, 1, 2, 2, 4, 'E', 3, 1),
(709, 1, 2, 3, 4, 'E', 3, 1),
(710, 1, 2, 4, 4, 'E', 3, 1),
(711, 1, 2, 5, 4, 'W', 0, 3),
(712, 1, 2, 6, 4, 'E', 2, 3),
(713, 1, 2, 7, 4, 'E', 3, 1),
(714, 1, 2, 8, 4, 'E', 3, 1),
(715, 1, 2, 9, 4, 'E', 3, 1),
(716, 1, 2, 10, 4, 'E', 3, 1),
(717, 1, 2, 11, 4, 'E', 3, 1),
(718, 1, 2, 12, 4, 'E', 3, 1),
(719, 1, 2, 13, 4, 'W', 0, 3),
(720, 1, 2, 14, 4, 'W', 0, 0),
(721, 1, 3, 0, 4, 'W', 0, 3),
(722, 1, 3, 1, 4, 'E', 3, 1),
(723, 1, 3, 2, 4, 'E', 3, 1),
(724, 1, 3, 3, 4, 'X', 0, 4),
(725, 1, 3, 4, 4, 'E', 3, 1),
(726, 1, 3, 5, 4, 'E', 3, 1),
(727, 1, 3, 6, 4, 'W', 0, 3),
(728, 1, 3, 7, 4, 'W', 0, 3),
(729, 1, 3, 8, 4, 'W', 0, 3),
(730, 1, 3, 9, 4, 'E', 3, 1),
(731, 1, 3, 10, 4, 'E', 3, 1),
(732, 1, 3, 11, 4, 'E', 3, 1),
(733, 1, 3, 12, 4, 'T', 3, 1),
(734, 1, 3, 13, 4, 'W', 0, 3),
(735, 1, 3, 14, 4, 'W', 0, 0),
(736, 1, 4, 0, 4, 'W', 0, 3),
(737, 1, 4, 1, 4, 'W', 0, 3),
(738, 1, 4, 2, 4, 'W', 0, 3),
(739, 1, 4, 3, 4, 'E', 3, 1),
(740, 1, 4, 4, 4, 'E', 3, 1),
(741, 1, 4, 5, 4, 'W', 0, 3),
(742, 1, 4, 6, 4, 'E', 3, 1),
(743, 1, 4, 7, 4, 'E', 3, 1),
(744, 1, 4, 8, 4, 'E', 3, 1),
(745, 1, 4, 9, 4, 'W', 0, 3),
(746, 1, 4, 10, 4, 'E', 3, 1),
(747, 1, 4, 11, 4, 'E', 3, 1),
(748, 1, 4, 12, 4, 'E', 3, 1),
(749, 1, 4, 13, 4, 'W', 0, 3),
(750, 1, 4, 14, 4, 'W', 0, 0),
(751, 1, 5, 0, 4, 'W', 0, 3),
(752, 1, 5, 1, 4, 'W', 0, 3),
(753, 1, 5, 2, 4, 'W', 0, 3),
(754, 1, 5, 3, 4, 'W', 0, 3),
(755, 1, 5, 4, 4, 'E', 3, 1),
(756, 1, 5, 5, 4, 'E', 3, 1),
(757, 1, 5, 6, 4, 'E', 3, 1),
(758, 1, 5, 7, 4, 'E', 3, 1),
(759, 1, 5, 8, 4, 'X', 0, 4),
(760, 1, 5, 9, 4, 'E', 3, 1),
(761, 1, 5, 10, 4, 'E', 3, 1),
(762, 1, 5, 11, 4, 'W', 0, 3),
(763, 1, 5, 12, 4, 'W', 0, 3),
(764, 1, 5, 13, 4, 'W', 0, 3),
(765, 1, 5, 14, 4, 'W', 0, 0),
(766, 1, 6, 0, 4, 'W', 0, 3),
(767, 1, 6, 1, 4, 'W', 0, 3),
(768, 1, 6, 2, 4, 'W', 0, 3),
(769, 1, 6, 3, 4, 'W', 0, 3),
(770, 1, 6, 4, 4, 'W', 0, 3),
(771, 1, 6, 5, 4, 'E', 3, 1),
(772, 1, 6, 6, 4, 'X', 0, 4),
(773, 1, 6, 7, 4, 'E', 3, 1),
(774, 1, 6, 8, 4, 'E', 3, 1),
(775, 1, 6, 9, 4, 'E', 3, 1),
(776, 1, 6, 10, 4, 'W', 0, 3),
(777, 1, 6, 11, 4, 'E', 3, 1),
(778, 1, 6, 12, 4, 'E', 3, 1),
(779, 1, 6, 13, 4, 'W', 0, 3),
(780, 1, 6, 14, 4, 'W', 0, 0),
(781, 1, 7, 0, 4, 'W', 0, 3),
(782, 1, 7, 1, 4, 'W', 0, 3),
(783, 1, 7, 2, 4, 'W', 0, 3),
(784, 1, 7, 3, 4, 'W', 0, 3),
(785, 1, 7, 4, 4, 'E', 3, 1),
(786, 1, 7, 5, 4, 'E', 3, 1),
(787, 1, 7, 6, 4, 'E', 3, 1),
(788, 1, 7, 7, 4, 'W', 0, 3),
(789, 1, 7, 8, 4, 'E', 3, 1),
(790, 1, 7, 9, 4, 'E', 3, 1),
(791, 1, 7, 10, 4, 'E', 3, 1),
(792, 1, 7, 11, 4, 'E', 3, 1),
(793, 1, 7, 12, 4, 'W', 0, 3),
(794, 1, 7, 13, 4, 'W', 0, 3),
(795, 1, 7, 14, 4, 'W', 0, 0),
(796, 1, 8, 0, 4, 'W', 0, 3),
(797, 1, 8, 1, 4, 'W', 0, 3),
(798, 1, 8, 2, 4, 'W', 0, 3),
(799, 1, 8, 3, 4, 'W', 0, 3),
(800, 1, 8, 4, 4, 'E', 3, 1),
(801, 1, 8, 5, 4, 'W', 0, 3),
(802, 1, 8, 6, 4, 'W', 0, 3),
(803, 1, 8, 7, 4, 'X', 0, 4),
(804, 1, 8, 8, 4, 'W', 0, 3),
(805, 1, 8, 9, 4, 'E', 3, 1),
(806, 1, 8, 10, 4, 'E', 3, 1),
(807, 1, 8, 11, 4, 'E', 3, 1),
(808, 1, 8, 12, 4, 'E', 3, 1),
(809, 1, 8, 13, 4, 'W', 0, 3),
(810, 1, 8, 14, 4, 'W', 0, 0),
(811, 1, 9, 0, 4, 'W', 0, 3),
(812, 1, 9, 1, 4, 'X', 0, 3),
(813, 1, 9, 2, 4, 'E', 3, 1),
(814, 1, 9, 3, 4, 'E', 3, 1),
(815, 1, 9, 4, 4, 'W', 0, 3),
(816, 1, 9, 5, 4, 'E', 3, 1),
(817, 1, 9, 6, 4, 'E', 3, 1),
(818, 1, 9, 7, 4, 'E', 3, 1),
(819, 1, 9, 8, 4, 'W', 0, 3),
(820, 1, 9, 9, 4, 'E', 3, 1),
(821, 1, 9, 10, 4, 'E', 3, 1),
(822, 1, 9, 11, 4, 'E', 3, 1),
(823, 1, 9, 12, 4, 'E', 3, 1),
(824, 1, 9, 13, 4, 'W', 0, 3),
(825, 1, 9, 14, 4, 'W', 0, 0),
(826, 1, 10, 0, 4, 'W', 0, 3),
(827, 1, 10, 1, 4, 'W', 0, 3),
(828, 1, 10, 2, 4, 'E', 3, 1),
(829, 1, 10, 3, 4, 'X', 0, 4),
(830, 1, 10, 4, 4, 'W', 0, 3),
(831, 1, 10, 5, 4, 'E', 3, 1),
(832, 1, 10, 6, 4, 'W', 0, 3),
(833, 1, 10, 7, 4, 'E', 3, 1),
(834, 1, 10, 8, 4, 'W', 0, 3),
(835, 1, 10, 9, 4, 'W', 0, 3),
(836, 1, 10, 10, 4, 'E', 3, 1),
(837, 1, 10, 11, 4, 'W', 0, 3),
(838, 1, 10, 12, 4, 'W', 0, 3),
(839, 1, 10, 13, 4, 'W', 0, 3),
(840, 1, 10, 14, 4, 'W', 0, 0),
(841, 1, 11, 0, 4, 'W', 0, 3),
(842, 1, 11, 1, 4, 'E', 3, 1),
(843, 1, 11, 2, 4, 'E', 3, 1),
(844, 1, 11, 3, 4, 'X', 0, 4),
(845, 1, 11, 4, 4, 'X', 0, 4),
(846, 1, 11, 5, 4, 'E', 3, 1),
(847, 1, 11, 6, 4, 'E', 3, 1),
(848, 1, 11, 7, 4, 'E', 3, 1),
(849, 1, 11, 8, 4, 'E', 3, 1),
(850, 1, 11, 9, 4, 'E', 3, 1),
(851, 1, 11, 10, 4, 'E', 3, 1),
(852, 1, 11, 11, 4, 'E', 3, 1),
(853, 1, 11, 12, 4, 'E', 3, 1),
(854, 1, 11, 13, 4, 'W', 0, 3),
(855, 1, 11, 14, 4, 'W', 0, 0),
(856, 1, 12, 0, 4, 'W', 0, 3),
(857, 1, 12, 1, 4, 'E', 3, 1),
(858, 1, 12, 2, 4, 'S', 3, 1),
(859, 1, 12, 3, 4, 'E', 3, 1),
(860, 1, 12, 4, 4, 'E', 3, 1),
(861, 1, 12, 5, 4, 'E', 3, 1),
(862, 1, 12, 6, 4, 'E', 3, 1),
(863, 1, 12, 7, 4, 'E', 3, 1),
(864, 1, 12, 8, 4, 'W', 0, 3),
(865, 1, 12, 9, 4, 'W', 0, 3),
(866, 1, 12, 10, 4, 'W', 0, 3),
(867, 1, 12, 11, 4, 'E', 3, 1),
(868, 1, 12, 12, 4, 'W', 0, 3),
(869, 1, 12, 13, 4, 'W', 0, 3),
(870, 1, 12, 14, 4, 'W', 0, 0),
(871, 1, 13, 0, 4, 'W', 0, 3),
(872, 1, 13, 1, 4, 'W', 0, 3),
(873, 1, 13, 2, 4, 'W', 0, 3),
(874, 1, 13, 3, 4, 'W', 0, 3),
(875, 1, 13, 4, 4, 'W', 0, 3),
(876, 1, 13, 5, 4, 'W', 0, 3),
(877, 1, 13, 6, 4, 'W', 0, 3),
(878, 1, 13, 7, 4, 'W', 0, 3),
(879, 1, 13, 8, 4, 'W', 0, 3),
(880, 1, 13, 9, 4, 'W', 0, 3),
(881, 1, 13, 10, 4, 'W', 0, 3),
(882, 1, 13, 11, 4, 'W', 0, 3),
(883, 1, 13, 12, 4, 'W', 0, 3),
(884, 1, 13, 13, 4, 'W', 0, 3),
(885, 1, 13, 14, 4, 'W', 0, 0),
(886, 1, 14, 0, 4, 'W', 0, 0),
(887, 1, 14, 1, 4, 'W', 0, 0),
(888, 1, 14, 2, 4, 'W', 0, 0),
(889, 1, 14, 3, 4, 'W', 0, 0),
(890, 1, 14, 4, 4, 'W', 0, 0),
(891, 1, 14, 5, 4, 'W', 0, 0),
(892, 1, 14, 6, 4, 'W', 0, 0),
(893, 1, 14, 7, 4, 'W', 0, 0),
(894, 1, 14, 8, 4, 'W', 0, 0),
(895, 1, 14, 9, 4, 'W', 0, 0),
(896, 1, 14, 10, 4, 'W', 0, 0),
(897, 1, 14, 11, 4, 'W', 0, 0),
(898, 1, 14, 12, 4, 'W', 0, 0),
(899, 1, 14, 13, 4, 'W', 0, 0),
(900, 1, 14, 14, 4, 'W', 0, 0),
(901, 1, 0, 0, 5, 'W', 1, 6),
(902, 1, 0, 1, 5, 'W', 1, 6),
(903, 1, 0, 2, 5, 'W', 1, 6),
(904, 1, 0, 3, 5, 'W', 1, 6),
(905, 1, 0, 4, 5, 'W', 1, 6),
(906, 1, 0, 5, 5, 'W', 1, 6),
(907, 1, 0, 6, 5, 'W', 1, 6),
(908, 1, 0, 7, 5, 'W', 1, 6),
(909, 1, 0, 8, 5, 'W', 1, 6),
(910, 1, 0, 9, 5, 'W', 1, 6),
(911, 1, 0, 10, 5, 'W', 1, 6),
(912, 1, 0, 11, 5, 'W', 1, 6),
(913, 1, 0, 12, 5, 'W', 1, 6),
(914, 1, 0, 13, 5, 'W', 1, 6),
(915, 1, 0, 14, 5, 'W', 0, 0),
(916, 1, 1, 0, 5, 'W', 1, 6),
(917, 1, 1, 1, 5, 'T', 5, 4),
(918, 1, 1, 2, 5, 'E', 5, 4),
(919, 1, 1, 3, 5, 'W', 1, 6),
(920, 1, 1, 4, 5, 'E', 5, 4),
(921, 1, 1, 5, 5, 'E', 5, 4),
(922, 1, 1, 6, 5, 'E', 5, 4),
(923, 1, 1, 7, 5, 'E', 5, 4),
(924, 1, 1, 8, 5, 'E', 5, 4),
(925, 1, 1, 9, 5, 'W', 1, 6),
(926, 1, 1, 10, 5, 'E', 5, 4),
(927, 1, 1, 11, 5, 'E', 5, 4),
(928, 1, 1, 12, 5, 'E', 5, 4),
(929, 1, 1, 13, 5, 'W', 1, 6),
(930, 1, 1, 14, 5, 'W', 0, 0),
(931, 1, 2, 0, 5, 'W', 1, 6),
(932, 1, 2, 1, 5, 'E', 5, 4),
(933, 1, 2, 2, 5, 'E', 5, 4),
(934, 1, 2, 3, 5, 'W', 1, 6),
(935, 1, 2, 4, 5, 'E', 5, 4),
(936, 1, 2, 5, 5, 'W', 1, 6),
(937, 1, 2, 6, 5, 'E', 5, 4),
(938, 1, 2, 7, 5, 'E', 5, 4),
(939, 1, 2, 8, 5, 'E', 0, 0),
(940, 1, 2, 9, 5, 'W', 1, 6),
(941, 1, 2, 10, 5, 'W', 1, 6),
(942, 1, 2, 11, 5, 'E', 5, 4),
(943, 1, 2, 12, 5, 'S', 5, 4),
(944, 1, 2, 13, 5, 'W', 1, 6),
(945, 1, 2, 14, 5, 'W', 0, 0),
(946, 1, 3, 0, 5, 'W', 1, 6),
(947, 1, 3, 1, 5, 'E', 5, 4),
(948, 1, 3, 2, 5, 'E', 5, 4),
(949, 1, 3, 3, 5, 'E', 5, 4),
(950, 1, 3, 4, 5, 'E', 5, 4),
(951, 1, 3, 5, 5, 'E', 5, 4),
(952, 1, 3, 6, 5, 'W', 1, 6),
(953, 1, 3, 7, 5, 'W', 1, 6),
(954, 1, 3, 8, 5, 'W', 1, 6),
(955, 1, 3, 9, 5, 'E', 5, 4),
(956, 1, 3, 10, 5, 'E', 5, 4),
(957, 1, 3, 11, 5, 'E', 5, 4),
(958, 1, 3, 12, 5, 'E', 5, 4),
(959, 1, 3, 13, 5, 'W', 1, 6),
(960, 1, 3, 14, 5, 'W', 0, 0),
(961, 1, 4, 0, 5, 'W', 1, 6),
(962, 1, 4, 1, 5, 'W', 1, 6),
(963, 1, 4, 2, 5, 'W', 1, 6),
(964, 1, 4, 3, 5, 'E', 5, 4),
(965, 1, 4, 4, 5, 'W', 1, 6),
(966, 1, 4, 5, 5, 'E', 5, 4),
(967, 1, 4, 6, 5, 'W', 1, 6),
(968, 1, 4, 7, 5, 'E', 5, 4),
(969, 1, 4, 8, 5, 'E', 5, 4),
(970, 1, 4, 9, 5, 'E', 0, 0),
(971, 1, 4, 10, 5, 'W', 1, 6),
(972, 1, 4, 11, 5, 'E', 5, 4),
(973, 1, 4, 12, 5, 'E', 0, 0),
(974, 1, 4, 13, 5, 'W', 1, 6),
(975, 1, 4, 14, 5, 'W', 0, 0),
(976, 1, 5, 0, 5, 'W', 1, 6),
(977, 1, 5, 1, 5, 'W', 1, 6),
(978, 1, 5, 2, 5, 'E', 5, 4),
(979, 1, 5, 3, 5, 'E', 5, 4),
(980, 1, 5, 4, 5, 'W', 1, 6),
(981, 1, 5, 5, 5, 'E', 5, 4),
(982, 1, 5, 6, 5, 'E', 5, 4),
(983, 1, 5, 7, 5, 'E', 5, 4),
(984, 1, 5, 8, 5, 'E', 0, 0),
(985, 1, 5, 9, 5, 'W', 1, 6),
(986, 1, 5, 10, 5, 'E', 5, 4),
(987, 1, 5, 11, 5, 'E', 0, 0),
(988, 1, 5, 12, 5, 'W', 1, 6),
(989, 1, 5, 13, 5, 'W', 1, 6),
(990, 1, 5, 14, 5, 'W', 0, 0),
(991, 1, 6, 0, 5, 'W', 1, 6),
(992, 1, 6, 1, 5, 'W', 1, 6),
(993, 1, 6, 2, 5, 'E', 5, 4),
(994, 1, 6, 3, 5, 'W', 1, 6),
(995, 1, 6, 4, 5, 'W', 1, 6),
(996, 1, 6, 5, 5, 'E', 5, 4),
(997, 1, 6, 6, 5, 'W', 1, 6),
(998, 1, 6, 7, 5, 'W', 1, 6),
(999, 1, 6, 8, 5, 'W', 1, 6),
(1000, 1, 6, 9, 5, 'E', 5, 4),
(1001, 1, 6, 10, 5, 'E', 5, 4),
(1002, 1, 6, 11, 5, 'W', 1, 6),
(1003, 1, 6, 12, 5, 'W', 1, 6),
(1004, 1, 6, 13, 5, 'W', 1, 6),
(1005, 1, 6, 14, 5, 'W', 0, 0),
(1006, 1, 7, 0, 5, 'W', 1, 6),
(1007, 1, 7, 1, 5, 'E', 5, 4),
(1008, 1, 7, 2, 5, 'E', 5, 4),
(1009, 1, 7, 3, 5, 'E', 5, 4),
(1010, 1, 7, 4, 5, 'E', 5, 4),
(1011, 1, 7, 5, 5, 'E', 5, 4),
(1012, 1, 7, 6, 5, 'E', 5, 4),
(1013, 1, 7, 7, 5, 'E', 5, 4),
(1014, 1, 7, 8, 5, 'W', 1, 6),
(1015, 1, 7, 9, 5, 'E', 5, 4),
(1016, 1, 7, 10, 5, 'E', 5, 4),
(1017, 1, 7, 11, 5, 'W', 1, 6),
(1018, 1, 7, 12, 5, 'W', 1, 6),
(1019, 1, 7, 13, 5, 'W', 1, 6),
(1020, 1, 7, 14, 5, 'W', 0, 0),
(1021, 1, 8, 0, 5, 'W', 1, 6),
(1022, 1, 8, 1, 5, 'E', 5, 4),
(1023, 1, 8, 2, 5, 'W', 1, 6),
(1024, 1, 8, 3, 5, 'E', 5, 4),
(1025, 1, 8, 4, 5, 'W', 1, 6),
(1026, 1, 8, 5, 5, 'W', 1, 6),
(1027, 1, 8, 6, 5, 'E', 5, 4),
(1028, 1, 8, 7, 5, 'E', 5, 4),
(1029, 1, 8, 8, 5, 'W', 1, 6),
(1030, 1, 8, 9, 5, 'E', 5, 4),
(1031, 1, 8, 10, 5, 'E', 5, 4),
(1032, 1, 8, 11, 5, 'E', 5, 4),
(1033, 1, 8, 12, 5, 'E', 5, 4),
(1034, 1, 8, 13, 5, 'W', 1, 6),
(1035, 1, 8, 14, 5, 'W', 0, 0),
(1036, 1, 9, 0, 5, 'W', 1, 6),
(1037, 1, 9, 1, 5, 'E', 5, 4),
(1038, 1, 9, 2, 5, 'W', 1, 6),
(1039, 1, 9, 3, 5, 'E', 5, 4),
(1040, 1, 9, 4, 5, 'E', 5, 4),
(1041, 1, 9, 5, 5, 'E', 5, 4),
(1042, 1, 9, 6, 5, 'E', 5, 4),
(1043, 1, 9, 7, 5, 'E', 5, 4),
(1044, 1, 9, 8, 5, 'E', 5, 4),
(1045, 1, 9, 9, 5, 'E', 5, 4),
(1046, 1, 9, 10, 5, 'W', 1, 6),
(1047, 1, 9, 11, 5, 'E', 5, 4),
(1048, 1, 9, 12, 5, 'E', 5, 4),
(1049, 1, 9, 13, 5, 'W', 1, 6),
(1050, 1, 9, 14, 5, 'W', 0, 0),
(1051, 1, 10, 0, 5, 'W', 1, 6),
(1052, 1, 10, 1, 5, 'E', 5, 4),
(1053, 1, 10, 2, 5, 'E', 5, 4),
(1054, 1, 10, 3, 5, 'E', 5, 4),
(1055, 1, 10, 4, 5, 'E', 5, 4),
(1056, 1, 10, 5, 5, 'W', 1, 6),
(1057, 1, 10, 6, 5, 'E', 5, 4),
(1058, 1, 10, 7, 5, 'W', 1, 6),
(1059, 1, 10, 8, 5, 'E', 5, 4),
(1060, 1, 10, 9, 5, 'E', 5, 4),
(1061, 1, 10, 10, 5, 'W', 1, 6),
(1062, 1, 10, 11, 5, 'E', 4, 6),
(1063, 1, 10, 12, 5, 'W', 5, 6),
(1064, 1, 10, 13, 5, 'W', 6, 6),
(1065, 1, 10, 14, 5, 'W', 0, 0),
(1066, 1, 11, 0, 5, 'W', 1, 6),
(1067, 1, 11, 1, 5, 'W', 1, 6),
(1068, 1, 11, 2, 5, 'E', 5, 4),
(1069, 1, 11, 3, 5, 'W', 1, 6),
(1070, 1, 11, 4, 5, 'W', 1, 6),
(1071, 1, 11, 5, 5, 'E', 5, 4),
(1072, 1, 11, 6, 5, 'E', 0, 0),
(1073, 1, 11, 7, 5, 'W', 1, 6),
(1074, 1, 11, 8, 5, 'E', 5, 4),
(1075, 1, 11, 9, 5, 'E', 5, 4),
(1076, 1, 11, 10, 5, 'W', 4, 0),
(1077, 1, 11, 11, 5, 'E', 4, 7),
(1078, 1, 11, 12, 5, 'L', 8, 7),
(1079, 1, 11, 13, 5, 'W', 6, 7),
(1080, 1, 11, 14, 5, 'W', 0, 0),
(1081, 1, 12, 0, 5, 'W', 1, 6),
(1082, 1, 12, 1, 5, 'E', 5, 4),
(1083, 1, 12, 2, 5, 'E', 5, 4),
(1084, 1, 12, 3, 5, 'E', 5, 4),
(1085, 1, 12, 4, 5, 'E', 5, 4),
(1086, 1, 12, 5, 5, 'E', 0, 0),
(1087, 1, 12, 6, 5, 'W', 1, 6),
(1088, 1, 12, 7, 5, 'W', 1, 6),
(1089, 1, 12, 8, 5, 'W', 1, 6),
(1090, 1, 12, 9, 5, 'E', 5, 4),
(1091, 1, 12, 10, 5, 'E', 5, 4),
(1092, 1, 12, 11, 5, 'E', 4, 5),
(1093, 1, 12, 12, 5, 'W', 5, 8),
(1094, 1, 12, 13, 5, 'W', 6, 8),
(1095, 1, 12, 14, 5, 'W', 0, 0),
(1096, 1, 13, 0, 5, 'W', 1, 6),
(1097, 1, 13, 1, 5, 'W', 1, 6),
(1098, 1, 13, 2, 5, 'W', 1, 6),
(1099, 1, 13, 3, 5, 'W', 1, 6),
(1100, 1, 13, 4, 5, 'W', 1, 6),
(1101, 1, 13, 5, 5, 'W', 1, 6),
(1102, 1, 13, 6, 5, 'W', 1, 6),
(1103, 1, 13, 7, 5, 'W', 1, 6),
(1104, 1, 13, 8, 5, 'W', 1, 6),
(1105, 1, 13, 9, 5, 'W', 1, 6),
(1106, 1, 13, 10, 5, 'W', 1, 6),
(1107, 1, 13, 11, 5, 'W', 1, 6),
(1108, 1, 13, 12, 5, 'W', 1, 6),
(1109, 1, 13, 13, 5, 'W', 1, 6),
(1110, 1, 13, 14, 5, 'W', 0, 0),
(1111, 1, 14, 0, 5, 'W', 0, 0),
(1112, 1, 14, 1, 5, 'W', 0, 0),
(1113, 1, 14, 2, 5, 'W', 0, 0),
(1114, 1, 14, 3, 5, 'W', 0, 0),
(1115, 1, 14, 4, 5, 'W', 0, 0),
(1116, 1, 14, 5, 5, 'W', 0, 0),
(1117, 1, 14, 6, 5, 'W', 0, 0),
(1118, 1, 14, 7, 5, 'W', 0, 0),
(1119, 1, 14, 8, 5, 'W', 0, 0),
(1120, 1, 14, 9, 5, 'W', 0, 0),
(1121, 1, 14, 10, 5, 'W', 0, 0),
(1122, 1, 14, 11, 5, 'W', 0, 0),
(1123, 1, 14, 12, 5, 'W', 0, 0),
(1124, 1, 14, 13, 5, 'W', 0, 0),
(1125, 1, 14, 14, 5, 'W', 0, 0),
(1126, 2, 0, 0, 1, 'W', 0, 0),
(1127, 2, 0, 1, 1, 'W', 0, 0),
(1128, 2, 0, 2, 1, 'W', 0, 0),
(1129, 2, 0, 3, 1, 'W', 0, 0),
(1130, 2, 0, 4, 1, 'W', 0, 0),
(1131, 2, 0, 5, 1, 'W', 0, 0),
(1132, 2, 0, 6, 1, 'W', 0, 0),
(1133, 2, 0, 7, 1, 'W', 0, 0),
(1134, 2, 0, 8, 1, 'W', 0, 0),
(1135, 2, 0, 9, 1, 'W', 0, 0),
(1136, 2, 0, 10, 1, 'W', 0, 0),
(1137, 2, 0, 11, 1, 'W', 0, 0),
(1138, 2, 0, 12, 1, 'W', 0, 0),
(1139, 2, 0, 13, 1, 'W', 0, 0),
(1140, 2, 0, 14, 1, 'W', 0, 0),
(1141, 2, 0, 15, 1, 'W', 0, 0),
(1142, 2, 0, 16, 1, 'W', 0, 0),
(1143, 2, 0, 17, 1, 'W', 0, 0),
(1144, 2, 0, 18, 1, 'W', 0, 0),
(1145, 2, 0, 19, 1, 'W', 0, 0),
(1146, 2, 0, 20, 1, 'W', 0, 0),
(1147, 2, 0, 21, 1, 'W', 0, 0),
(1148, 2, 0, 22, 1, 'W', 0, 0),
(1149, 2, 0, 23, 1, 'W', 0, 0),
(1150, 2, 0, 24, 1, 'W', 0, 0),
(1151, 2, 0, 25, 1, '', 0, 0),
(1152, 2, 1, 0, 1, 'W', 0, 0),
(1153, 2, 1, 1, 1, 'E', 0, 0),
(1154, 2, 1, 2, 1, 'E', 0, 0),
(1155, 2, 1, 3, 1, 'E', 0, 0),
(1156, 2, 1, 4, 1, 'E', 0, 0),
(1157, 2, 1, 5, 1, 'E', 0, 0),
(1158, 2, 1, 6, 1, 'E', 0, 0),
(1159, 2, 1, 7, 1, 'E', 0, 0),
(1160, 2, 1, 8, 1, 'E', 0, 0),
(1161, 2, 1, 9, 1, 'E', 0, 0),
(1162, 2, 1, 10, 1, 'E', 0, 0),
(1163, 2, 1, 11, 1, 'E', 0, 0),
(1164, 2, 1, 12, 1, 'E', 0, 0),
(1165, 2, 1, 13, 1, 'E', 0, 0),
(1166, 2, 1, 14, 1, 'E', 0, 0),
(1167, 2, 1, 15, 1, 'E', 0, 0),
(1168, 2, 1, 16, 1, 'E', 0, 0),
(1169, 2, 1, 17, 1, 'E', 0, 0),
(1170, 2, 1, 18, 1, 'E', 0, 0),
(1171, 2, 1, 19, 1, 'E', 0, 0),
(1172, 2, 1, 20, 1, 'E', 0, 0),
(1173, 2, 1, 21, 1, 'E', 0, 0),
(1174, 2, 1, 22, 1, 'E', 0, 0),
(1175, 2, 1, 23, 1, 'E', 0, 0),
(1176, 2, 1, 24, 1, 'W', 0, 0),
(1177, 2, 1, 25, 1, '', 0, 0),
(1178, 2, 2, 0, 1, 'W', 0, 0),
(1179, 2, 2, 1, 1, 'E', 0, 0),
(1180, 2, 2, 2, 1, 'E', 0, 0),
(1181, 2, 2, 3, 1, 'E', 0, 0),
(1182, 2, 2, 4, 1, 'E', 0, 0),
(1183, 2, 2, 5, 1, 'E', 0, 0),
(1184, 2, 2, 6, 1, 'E', 0, 0),
(1185, 2, 2, 7, 1, 'E', 0, 0),
(1186, 2, 2, 8, 1, 'E', 0, 0),
(1187, 2, 2, 9, 1, 'E', 0, 0),
(1188, 2, 2, 10, 1, 'E', 0, 0),
(1189, 2, 2, 11, 1, 'E', 0, 0),
(1190, 2, 2, 12, 1, 'E', 0, 0),
(1191, 2, 2, 13, 1, 'E', 0, 0),
(1192, 2, 2, 14, 1, 'E', 0, 0),
(1193, 2, 2, 15, 1, 'E', 0, 0),
(1194, 2, 2, 16, 1, 'E', 0, 0),
(1195, 2, 2, 17, 1, 'E', 0, 0),
(1196, 2, 2, 18, 1, 'E', 0, 0),
(1197, 2, 2, 19, 1, 'E', 0, 0),
(1198, 2, 2, 20, 1, 'E', 0, 0),
(1199, 2, 2, 21, 1, 'E', 0, 0),
(1200, 2, 2, 22, 1, 'E', 0, 0),
(1201, 2, 2, 23, 1, 'E', 0, 0),
(1202, 2, 2, 24, 1, 'W', 0, 0),
(1203, 2, 2, 25, 1, '', 0, 0),
(1204, 2, 3, 0, 1, 'W', 0, 0),
(1205, 2, 3, 1, 1, 'E', 0, 0),
(1206, 2, 3, 2, 1, 'E', 0, 0),
(1207, 2, 3, 3, 1, 'E', 0, 0),
(1208, 2, 3, 4, 1, 'E', 0, 0),
(1209, 2, 3, 5, 1, 'E', 0, 0),
(1210, 2, 3, 6, 1, 'E', 0, 0),
(1211, 2, 3, 7, 1, 'E', 0, 0),
(1212, 2, 3, 8, 1, 'E', 0, 0),
(1213, 2, 3, 9, 1, 'E', 0, 0),
(1214, 2, 3, 10, 1, 'E', 0, 0),
(1215, 2, 3, 11, 1, 'E', 0, 0),
(1216, 2, 3, 12, 1, 'E', 0, 0),
(1217, 2, 3, 13, 1, 'E', 0, 0),
(1218, 2, 3, 14, 1, 'E', 0, 0),
(1219, 2, 3, 15, 1, 'E', 0, 0),
(1220, 2, 3, 16, 1, 'E', 0, 0),
(1221, 2, 3, 17, 1, 'E', 0, 0),
(1222, 2, 3, 18, 1, 'E', 0, 0),
(1223, 2, 3, 19, 1, 'E', 0, 0),
(1224, 2, 3, 20, 1, 'E', 0, 0),
(1225, 2, 3, 21, 1, 'E', 0, 0),
(1226, 2, 3, 22, 1, 'E', 0, 0),
(1227, 2, 3, 23, 1, 'E', 0, 0),
(1228, 2, 3, 24, 1, 'W', 0, 0),
(1229, 2, 3, 25, 1, '', 0, 0),
(1230, 2, 4, 0, 1, 'W', 0, 0),
(1231, 2, 4, 1, 1, 'E', 0, 0),
(1232, 2, 4, 2, 1, 'E', 0, 0),
(1233, 2, 4, 3, 1, 'E', 0, 0),
(1234, 2, 4, 4, 1, 'E', 0, 0),
(1235, 2, 4, 5, 1, 'E', 0, 0),
(1236, 2, 4, 6, 1, 'E', 0, 0),
(1237, 2, 4, 7, 1, 'E', 0, 0),
(1238, 2, 4, 8, 1, 'E', 0, 0),
(1239, 2, 4, 9, 1, 'E', 0, 0),
(1240, 2, 4, 10, 1, 'E', 0, 0),
(1241, 2, 4, 11, 1, 'E', 0, 0),
(1242, 2, 4, 12, 1, 'E', 0, 0),
(1243, 2, 4, 13, 1, 'E', 0, 0),
(1244, 2, 4, 14, 1, 'E', 0, 0),
(1245, 2, 4, 15, 1, 'E', 0, 0),
(1246, 2, 4, 16, 1, 'E', 0, 0),
(1247, 2, 4, 17, 1, 'E', 0, 0),
(1248, 2, 4, 18, 1, 'E', 0, 0),
(1249, 2, 4, 19, 1, 'E', 0, 0),
(1250, 2, 4, 20, 1, 'E', 0, 0),
(1251, 2, 4, 21, 1, 'E', 0, 0),
(1252, 2, 4, 22, 1, 'E', 0, 0),
(1253, 2, 4, 23, 1, 'E', 0, 0),
(1254, 2, 4, 24, 1, 'W', 0, 0),
(1255, 2, 4, 25, 1, '', 0, 0),
(1256, 2, 5, 0, 1, 'W', 0, 0),
(1257, 2, 5, 1, 1, 'E', 0, 0),
(1258, 2, 5, 2, 1, 'E', 0, 0),
(1259, 2, 5, 3, 1, 'E', 0, 0),
(1260, 2, 5, 4, 1, 'E', 0, 0),
(1261, 2, 5, 5, 1, 'E', 0, 0),
(1262, 2, 5, 6, 1, 'E', 0, 0),
(1263, 2, 5, 7, 1, 'E', 0, 0),
(1264, 2, 5, 8, 1, 'E', 0, 0),
(1265, 2, 5, 9, 1, 'E', 0, 0),
(1266, 2, 5, 10, 1, 'E', 0, 0),
(1267, 2, 5, 11, 1, 'E', 0, 0),
(1268, 2, 5, 12, 1, 'E', 0, 0),
(1269, 2, 5, 13, 1, 'E', 0, 0),
(1270, 2, 5, 14, 1, 'E', 0, 0),
(1271, 2, 5, 15, 1, 'E', 0, 0),
(1272, 2, 5, 16, 1, 'E', 0, 0),
(1273, 2, 5, 17, 1, 'E', 0, 0),
(1274, 2, 5, 18, 1, 'E', 0, 0),
(1275, 2, 5, 19, 1, 'E', 0, 0),
(1276, 2, 5, 20, 1, 'E', 0, 0),
(1277, 2, 5, 21, 1, 'E', 0, 0),
(1278, 2, 5, 22, 1, 'E', 0, 0),
(1279, 2, 5, 23, 1, 'E', 0, 0),
(1280, 2, 5, 24, 1, 'W', 0, 0),
(1281, 2, 5, 25, 1, '', 0, 0),
(1282, 2, 6, 0, 1, 'W', 0, 0),
(1283, 2, 6, 1, 1, 'E', 0, 0),
(1284, 2, 6, 2, 1, 'E', 0, 0),
(1285, 2, 6, 3, 1, 'E', 0, 0),
(1286, 2, 6, 4, 1, 'E', 0, 0),
(1287, 2, 6, 5, 1, 'E', 0, 0),
(1288, 2, 6, 6, 1, 'E', 0, 0),
(1289, 2, 6, 7, 1, 'E', 0, 0),
(1290, 2, 6, 8, 1, 'E', 0, 0),
(1291, 2, 6, 9, 1, 'E', 0, 0),
(1292, 2, 6, 10, 1, 'E', 0, 0),
(1293, 2, 6, 11, 1, 'E', 0, 0),
(1294, 2, 6, 12, 1, 'E', 0, 0),
(1295, 2, 6, 13, 1, 'E', 0, 0),
(1296, 2, 6, 14, 1, 'E', 0, 0),
(1297, 2, 6, 15, 1, 'E', 0, 0),
(1298, 2, 6, 16, 1, 'E', 0, 0),
(1299, 2, 6, 17, 1, 'E', 0, 0),
(1300, 2, 6, 18, 1, 'E', 0, 0),
(1301, 2, 6, 19, 1, 'E', 0, 0),
(1302, 2, 6, 20, 1, 'E', 0, 0),
(1303, 2, 6, 21, 1, 'E', 0, 0),
(1304, 2, 6, 22, 1, 'E', 0, 0),
(1305, 2, 6, 23, 1, 'E', 0, 0),
(1306, 2, 6, 24, 1, 'W', 0, 0),
(1307, 2, 6, 25, 1, '', 0, 0),
(1308, 2, 7, 0, 1, 'W', 0, 0),
(1309, 2, 7, 1, 1, 'E', 0, 0),
(1310, 2, 7, 2, 1, 'E', 0, 0),
(1311, 2, 7, 3, 1, 'E', 0, 0),
(1312, 2, 7, 4, 1, 'E', 0, 0),
(1313, 2, 7, 5, 1, 'E', 0, 0),
(1314, 2, 7, 6, 1, 'E', 0, 0),
(1315, 2, 7, 7, 1, 'E', 0, 0),
(1316, 2, 7, 8, 1, 'E', 0, 0),
(1317, 2, 7, 9, 1, 'E', 0, 0),
(1318, 2, 7, 10, 1, 'E', 0, 0),
(1319, 2, 7, 11, 1, 'E', 0, 0),
(1320, 2, 7, 12, 1, 'E', 0, 0),
(1321, 2, 7, 13, 1, 'E', 0, 0),
(1322, 2, 7, 14, 1, 'E', 0, 0),
(1323, 2, 7, 15, 1, 'E', 0, 0),
(1324, 2, 7, 16, 1, 'E', 0, 0),
(1325, 2, 7, 17, 1, 'E', 0, 0),
(1326, 2, 7, 18, 1, 'E', 0, 0),
(1327, 2, 7, 19, 1, 'E', 0, 0),
(1328, 2, 7, 20, 1, 'E', 0, 0),
(1329, 2, 7, 21, 1, 'E', 0, 0),
(1330, 2, 7, 22, 1, 'E', 0, 0),
(1331, 2, 7, 23, 1, 'E', 0, 0),
(1332, 2, 7, 24, 1, 'W', 0, 0),
(1333, 2, 7, 25, 1, '', 0, 0),
(1334, 2, 8, 0, 1, 'W', 0, 0),
(1335, 2, 8, 1, 1, 'E', 0, 0),
(1336, 2, 8, 2, 1, 'E', 0, 0),
(1337, 2, 8, 3, 1, 'E', 0, 0),
(1338, 2, 8, 4, 1, 'E', 0, 0),
(1339, 2, 8, 5, 1, 'E', 0, 0),
(1340, 2, 8, 6, 1, 'E', 0, 0),
(1341, 2, 8, 7, 1, 'E', 0, 0),
(1342, 2, 8, 8, 1, 'E', 0, 0),
(1343, 2, 8, 9, 1, 'E', 0, 0),
(1344, 2, 8, 10, 1, 'E', 0, 0),
(1345, 2, 8, 11, 1, 'E', 0, 0),
(1346, 2, 8, 12, 1, 'E', 0, 0),
(1347, 2, 8, 13, 1, 'E', 0, 0),
(1348, 2, 8, 14, 1, 'E', 0, 0),
(1349, 2, 8, 15, 1, 'E', 0, 0),
(1350, 2, 8, 16, 1, 'E', 0, 0),
(1351, 2, 8, 17, 1, 'E', 0, 0),
(1352, 2, 8, 18, 1, 'E', 0, 0),
(1353, 2, 8, 19, 1, 'E', 0, 0),
(1354, 2, 8, 20, 1, 'E', 0, 0),
(1355, 2, 8, 21, 1, 'E', 0, 0),
(1356, 2, 8, 22, 1, 'E', 0, 0),
(1357, 2, 8, 23, 1, 'E', 0, 0),
(1358, 2, 8, 24, 1, 'W', 0, 0),
(1359, 2, 8, 25, 1, '', 0, 0),
(1360, 2, 9, 0, 1, 'W', 0, 0),
(1361, 2, 9, 1, 1, 'E', 0, 0),
(1362, 2, 9, 2, 1, 'E', 0, 0),
(1363, 2, 9, 3, 1, 'E', 0, 0),
(1364, 2, 9, 4, 1, 'E', 0, 0),
(1365, 2, 9, 5, 1, 'E', 0, 0),
(1366, 2, 9, 6, 1, 'E', 0, 0),
(1367, 2, 9, 7, 1, 'E', 0, 0),
(1368, 2, 9, 8, 1, 'E', 0, 0),
(1369, 2, 9, 9, 1, 'E', 0, 0),
(1370, 2, 9, 10, 1, 'E', 0, 0),
(1371, 2, 9, 11, 1, 'E', 0, 0),
(1372, 2, 9, 12, 1, 'E', 0, 0),
(1373, 2, 9, 13, 1, 'E', 0, 0),
(1374, 2, 9, 14, 1, 'E', 0, 0),
(1375, 2, 9, 15, 1, 'E', 0, 0),
(1376, 2, 9, 16, 1, 'E', 0, 0),
(1377, 2, 9, 17, 1, 'E', 0, 0),
(1378, 2, 9, 18, 1, 'E', 0, 0),
(1379, 2, 9, 19, 1, 'E', 0, 0),
(1380, 2, 9, 20, 1, 'E', 0, 0),
(1381, 2, 9, 21, 1, 'E', 0, 0),
(1382, 2, 9, 22, 1, 'E', 0, 0),
(1383, 2, 9, 23, 1, 'E', 0, 0),
(1384, 2, 9, 24, 1, 'W', 0, 0),
(1385, 2, 9, 25, 1, '', 0, 0),
(1386, 2, 10, 0, 1, 'W', 0, 0),
(1387, 2, 10, 1, 1, 'E', 0, 0),
(1388, 2, 10, 2, 1, 'E', 0, 0),
(1389, 2, 10, 3, 1, 'E', 0, 0),
(1390, 2, 10, 4, 1, 'E', 0, 0),
(1391, 2, 10, 5, 1, 'E', 0, 0),
(1392, 2, 10, 6, 1, 'E', 0, 0),
(1393, 2, 10, 7, 1, 'E', 0, 0),
(1394, 2, 10, 8, 1, 'E', 0, 0),
(1395, 2, 10, 9, 1, 'E', 0, 0),
(1396, 2, 10, 10, 1, 'E', 0, 0),
(1397, 2, 10, 11, 1, 'E', 0, 0),
(1398, 2, 10, 12, 1, 'E', 0, 0),
(1399, 2, 10, 13, 1, 'E', 0, 0),
(1400, 2, 10, 14, 1, 'E', 0, 0),
(1401, 2, 10, 15, 1, 'E', 0, 0),
(1402, 2, 10, 16, 1, 'E', 0, 0),
(1403, 2, 10, 17, 1, 'E', 0, 0),
(1404, 2, 10, 18, 1, 'E', 0, 0),
(1405, 2, 10, 19, 1, 'E', 0, 0),
(1406, 2, 10, 20, 1, 'E', 0, 0),
(1407, 2, 10, 21, 1, 'E', 0, 0),
(1408, 2, 10, 22, 1, 'E', 0, 0),
(1409, 2, 10, 23, 1, 'E', 0, 0),
(1410, 2, 10, 24, 1, 'W', 0, 0),
(1411, 2, 10, 25, 1, '', 0, 0),
(1412, 2, 11, 0, 1, 'W', 0, 0),
(1413, 2, 11, 1, 1, 'E', 0, 0),
(1414, 2, 11, 2, 1, 'E', 0, 0),
(1415, 2, 11, 3, 1, 'E', 0, 0),
(1416, 2, 11, 4, 1, 'E', 0, 0),
(1417, 2, 11, 5, 1, 'E', 0, 0),
(1418, 2, 11, 6, 1, 'E', 0, 0),
(1419, 2, 11, 7, 1, 'E', 0, 0),
(1420, 2, 11, 8, 1, 'E', 0, 0),
(1421, 2, 11, 9, 1, 'E', 0, 0),
(1422, 2, 11, 10, 1, 'E', 0, 0),
(1423, 2, 11, 11, 1, 'E', 0, 0),
(1424, 2, 11, 12, 1, 'E', 0, 0),
(1425, 2, 11, 13, 1, 'E', 0, 0),
(1426, 2, 11, 14, 1, 'E', 0, 0),
(1427, 2, 11, 15, 1, 'E', 0, 0),
(1428, 2, 11, 16, 1, 'E', 0, 0),
(1429, 2, 11, 17, 1, 'E', 0, 0),
(1430, 2, 11, 18, 1, 'E', 0, 0),
(1431, 2, 11, 19, 1, 'E', 0, 0),
(1432, 2, 11, 20, 1, 'E', 0, 0),
(1433, 2, 11, 21, 1, 'E', 0, 0),
(1434, 2, 11, 22, 1, 'E', 0, 0),
(1435, 2, 11, 23, 1, 'E', 0, 0),
(1436, 2, 11, 24, 1, 'W', 0, 0),
(1437, 2, 11, 25, 1, '', 0, 0),
(1438, 2, 12, 0, 1, 'W', 0, 0),
(1439, 2, 12, 1, 1, 'E', 0, 0),
(1440, 2, 12, 2, 1, 'E', 0, 0),
(1441, 2, 12, 3, 1, 'E', 0, 0),
(1442, 2, 12, 4, 1, 'E', 0, 0),
(1443, 2, 12, 5, 1, 'E', 0, 0),
(1444, 2, 12, 6, 1, 'E', 0, 0),
(1445, 2, 12, 7, 1, 'E', 0, 0),
(1446, 2, 12, 8, 1, 'E', 0, 0),
(1447, 2, 12, 9, 1, 'E', 0, 0),
(1448, 2, 12, 10, 1, 'E', 0, 0),
(1449, 2, 12, 11, 1, 'E', 0, 0),
(1450, 2, 12, 12, 1, 'E', 0, 0),
(1451, 2, 12, 13, 1, 'E', 0, 0),
(1452, 2, 12, 14, 1, 'E', 0, 0),
(1453, 2, 12, 15, 1, 'E', 0, 0),
(1454, 2, 12, 16, 1, 'E', 0, 0),
(1455, 2, 12, 17, 1, 'E', 0, 0),
(1456, 2, 12, 18, 1, 'E', 0, 0),
(1457, 2, 12, 19, 1, 'E', 0, 0),
(1458, 2, 12, 20, 1, 'E', 0, 0),
(1459, 2, 12, 21, 1, 'E', 0, 0),
(1460, 2, 12, 22, 1, 'E', 0, 0),
(1461, 2, 12, 23, 1, 'E', 0, 0),
(1462, 2, 12, 24, 1, 'W', 0, 0),
(1463, 2, 12, 25, 1, '', 0, 0),
(1464, 2, 13, 0, 1, 'W', 0, 0),
(1465, 2, 13, 1, 1, 'E', 0, 0),
(1466, 2, 13, 2, 1, 'E', 0, 0),
(1467, 2, 13, 3, 1, 'E', 0, 0),
(1468, 2, 13, 4, 1, 'E', 0, 0),
(1469, 2, 13, 5, 1, 'E', 0, 0),
(1470, 2, 13, 6, 1, 'E', 0, 0),
(1471, 2, 13, 7, 1, 'E', 0, 0),
(1472, 2, 13, 8, 1, 'E', 0, 0),
(1473, 2, 13, 9, 1, 'E', 0, 0),
(1474, 2, 13, 10, 1, 'E', 0, 0),
(1475, 2, 13, 11, 1, 'X', 0, 0),
(1476, 2, 13, 12, 1, 'E', 0, 0),
(1477, 2, 13, 13, 1, 'E', 0, 0),
(1478, 2, 13, 14, 1, 'E', 0, 0),
(1479, 2, 13, 15, 1, 'E', 0, 0),
(1480, 2, 13, 16, 1, 'E', 0, 0),
(1481, 2, 13, 17, 1, 'E', 0, 0),
(1482, 2, 13, 18, 1, 'E', 0, 0),
(1483, 2, 13, 19, 1, 'E', 0, 0),
(1484, 2, 13, 20, 1, 'E', 0, 0),
(1485, 2, 13, 21, 1, 'E', 0, 0),
(1486, 2, 13, 22, 1, 'E', 0, 0),
(1487, 2, 13, 23, 1, 'E', 0, 0),
(1488, 2, 13, 24, 1, 'W', 0, 0),
(1489, 2, 13, 25, 1, '', 0, 0),
(1490, 2, 14, 0, 1, 'W', 0, 0),
(1491, 2, 14, 1, 1, 'E', 0, 0),
(1492, 2, 14, 2, 1, 'E', 0, 0),
(1493, 2, 14, 3, 1, 'E', 0, 0),
(1494, 2, 14, 4, 1, 'E', 0, 0),
(1495, 2, 14, 5, 1, 'E', 0, 0),
(1496, 2, 14, 6, 1, 'E', 0, 0),
(1497, 2, 14, 7, 1, 'E', 0, 0),
(1498, 2, 14, 8, 1, 'E', 0, 0),
(1499, 2, 14, 9, 1, 'E', 0, 0),
(1500, 2, 14, 10, 1, 'E', 0, 0),
(1501, 2, 14, 11, 1, 'E', 0, 0),
(1502, 2, 14, 12, 1, 'E', 0, 0),
(1503, 2, 14, 13, 1, 'E', 0, 0),
(1504, 2, 14, 14, 1, 'E', 0, 0),
(1505, 2, 14, 15, 1, 'E', 0, 0),
(1506, 2, 14, 16, 1, 'E', 0, 0),
(1507, 2, 14, 17, 1, 'E', 0, 0),
(1508, 2, 14, 18, 1, 'E', 0, 0),
(1509, 2, 14, 19, 1, 'E', 0, 0),
(1510, 2, 14, 20, 1, 'E', 0, 0),
(1511, 2, 14, 21, 1, 'E', 0, 0),
(1512, 2, 14, 22, 1, 'E', 0, 0),
(1513, 2, 14, 23, 1, 'E', 0, 0),
(1514, 2, 14, 24, 1, 'W', 0, 0),
(1515, 2, 14, 25, 1, '', 0, 0),
(1516, 2, 15, 0, 1, 'W', 0, 0),
(1517, 2, 15, 1, 1, 'E', 0, 0),
(1518, 2, 15, 2, 1, 'E', 0, 0),
(1519, 2, 15, 3, 1, 'E', 0, 0),
(1520, 2, 15, 4, 1, 'E', 0, 0),
(1521, 2, 15, 5, 1, 'E', 0, 0),
(1522, 2, 15, 6, 1, 'E', 0, 0),
(1523, 2, 15, 7, 1, 'E', 0, 0),
(1524, 2, 15, 8, 1, 'E', 0, 0),
(1525, 2, 15, 9, 1, 'E', 0, 0),
(1526, 2, 15, 10, 1, 'E', 0, 0),
(1527, 2, 15, 11, 1, 'E', 0, 0),
(1528, 2, 15, 12, 1, 'E', 0, 0),
(1529, 2, 15, 13, 1, 'E', 0, 0),
(1530, 2, 15, 14, 1, 'E', 0, 0),
(1531, 2, 15, 15, 1, 'E', 0, 0),
(1532, 2, 15, 16, 1, 'E', 0, 0),
(1533, 2, 15, 17, 1, 'E', 0, 0),
(1534, 2, 15, 18, 1, 'E', 0, 0),
(1535, 2, 15, 19, 1, 'E', 0, 0),
(1536, 2, 15, 20, 1, 'E', 0, 0),
(1537, 2, 15, 21, 1, 'E', 0, 0),
(1538, 2, 15, 22, 1, 'E', 0, 0),
(1539, 2, 15, 23, 1, 'E', 0, 0),
(1540, 2, 15, 24, 1, 'W', 0, 0),
(1541, 2, 15, 25, 1, '', 0, 0),
(1542, 2, 16, 0, 1, 'W', 0, 0),
(1543, 2, 16, 1, 1, 'E', 0, 0),
(1544, 2, 16, 2, 1, 'E', 0, 0),
(1545, 2, 16, 3, 1, 'E', 0, 0),
(1546, 2, 16, 4, 1, 'E', 0, 0),
(1547, 2, 16, 5, 1, 'E', 0, 0),
(1548, 2, 16, 6, 1, 'E', 0, 0),
(1549, 2, 16, 7, 1, 'E', 0, 0),
(1550, 2, 16, 8, 1, 'E', 0, 0),
(1551, 2, 16, 9, 1, 'E', 0, 0),
(1552, 2, 16, 10, 1, 'E', 0, 0),
(1553, 2, 16, 11, 1, 'E', 0, 0),
(1554, 2, 16, 12, 1, 'E', 0, 0),
(1555, 2, 16, 13, 1, 'E', 0, 0),
(1556, 2, 16, 14, 1, 'E', 0, 0),
(1557, 2, 16, 15, 1, 'E', 0, 0),
(1558, 2, 16, 16, 1, 'E', 0, 0),
(1559, 2, 16, 17, 1, 'E', 0, 0),
(1560, 2, 16, 18, 1, 'T', 0, 0),
(1561, 2, 16, 19, 1, 'E', 0, 0),
(1562, 2, 16, 20, 1, 'E', 0, 0),
(1563, 2, 16, 21, 1, 'E', 0, 0),
(1564, 2, 16, 22, 1, 'E', 0, 0),
(1565, 2, 16, 23, 1, 'E', 0, 0),
(1566, 2, 16, 24, 1, 'W', 0, 0),
(1567, 2, 16, 25, 1, '', 0, 0),
(1568, 2, 17, 0, 1, 'W', 0, 0),
(1569, 2, 17, 1, 1, 'E', 0, 0),
(1570, 2, 17, 2, 1, 'E', 0, 0),
(1571, 2, 17, 3, 1, 'E', 0, 0),
(1572, 2, 17, 4, 1, 'E', 0, 0),
(1573, 2, 17, 5, 1, 'E', 0, 0),
(1574, 2, 17, 6, 1, 'E', 0, 0),
(1575, 2, 17, 7, 1, 'E', 0, 0),
(1576, 2, 17, 8, 1, 'E', 0, 0),
(1577, 2, 17, 9, 1, 'E', 0, 0),
(1578, 2, 17, 10, 1, 'E', 0, 0),
(1579, 2, 17, 11, 1, 'E', 0, 0),
(1580, 2, 17, 12, 1, 'E', 0, 0),
(1581, 2, 17, 13, 1, 'E', 0, 0),
(1582, 2, 17, 14, 1, 'E', 0, 0),
(1583, 2, 17, 15, 1, 'E', 0, 0),
(1584, 2, 17, 16, 1, 'E', 0, 0),
(1585, 2, 17, 17, 1, 'E', 0, 0),
(1586, 2, 17, 18, 1, 'E', 0, 0),
(1587, 2, 17, 19, 1, 'E', 0, 0),
(1588, 2, 17, 20, 1, 'E', 0, 0),
(1589, 2, 17, 21, 1, 'E', 0, 0),
(1590, 2, 17, 22, 1, 'E', 0, 0),
(1591, 2, 17, 23, 1, 'E', 0, 0),
(1592, 2, 17, 24, 1, 'W', 0, 0),
(1593, 2, 17, 25, 1, '', 0, 0),
(1594, 2, 18, 0, 1, 'W', 0, 0),
(1595, 2, 18, 1, 1, 'E', 0, 0),
(1596, 2, 18, 2, 1, 'E', 0, 0),
(1597, 2, 18, 3, 1, 'E', 0, 0),
(1598, 2, 18, 4, 1, 'E', 0, 0),
(1599, 2, 18, 5, 1, 'E', 0, 0),
(1600, 2, 18, 6, 1, 'E', 0, 0),
(1601, 2, 18, 7, 1, 'E', 0, 0),
(1602, 2, 18, 8, 1, 'E', 0, 0),
(1603, 2, 18, 9, 1, 'E', 0, 0),
(1604, 2, 18, 10, 1, 'E', 0, 0),
(1605, 2, 18, 11, 1, 'E', 0, 0),
(1606, 2, 18, 12, 1, 'E', 0, 0),
(1607, 2, 18, 13, 1, 'E', 0, 0),
(1608, 2, 18, 14, 1, 'E', 0, 0),
(1609, 2, 18, 15, 1, 'E', 0, 0),
(1610, 2, 18, 16, 1, 'E', 0, 0),
(1611, 2, 18, 17, 1, 'E', 0, 0),
(1612, 2, 18, 18, 1, 'E', 0, 0),
(1613, 2, 18, 19, 1, 'E', 0, 0),
(1614, 2, 18, 20, 1, 'E', 0, 0),
(1615, 2, 18, 21, 1, 'E', 0, 0),
(1616, 2, 18, 22, 1, 'E', 0, 0),
(1617, 2, 18, 23, 1, 'E', 0, 0),
(1618, 2, 18, 24, 1, 'W', 0, 0),
(1619, 2, 18, 25, 1, '', 0, 0),
(1620, 2, 19, 0, 1, 'W', 0, 0),
(1621, 2, 19, 1, 1, 'E', 0, 0),
(1622, 2, 19, 2, 1, 'E', 0, 0),
(1623, 2, 19, 3, 1, 'E', 0, 0),
(1624, 2, 19, 4, 1, 'E', 0, 0),
(1625, 2, 19, 5, 1, 'E', 0, 0),
(1626, 2, 19, 6, 1, 'E', 0, 0),
(1627, 2, 19, 7, 1, 'E', 0, 0),
(1628, 2, 19, 8, 1, 'E', 0, 0),
(1629, 2, 19, 9, 1, 'E', 0, 0),
(1630, 2, 19, 10, 1, 'E', 0, 0),
(1631, 2, 19, 11, 1, 'E', 0, 0),
(1632, 2, 19, 12, 1, 'E', 0, 0),
(1633, 2, 19, 13, 1, 'E', 0, 0),
(1634, 2, 19, 14, 1, 'E', 0, 0),
(1635, 2, 19, 15, 1, 'E', 0, 0),
(1636, 2, 19, 16, 1, 'E', 0, 0),
(1637, 2, 19, 17, 1, 'E', 0, 0),
(1638, 2, 19, 18, 1, 'E', 0, 0),
(1639, 2, 19, 19, 1, 'E', 0, 0),
(1640, 2, 19, 20, 1, 'E', 0, 0),
(1641, 2, 19, 21, 1, 'E', 0, 0),
(1642, 2, 19, 22, 1, 'E', 0, 0),
(1643, 2, 19, 23, 1, 'E', 0, 0),
(1644, 2, 19, 24, 1, 'W', 0, 0),
(1645, 2, 19, 25, 1, '', 0, 0),
(1646, 2, 20, 0, 1, 'W', 0, 0),
(1647, 2, 20, 1, 1, 'E', 0, 0),
(1648, 2, 20, 2, 1, 'E', 0, 0),
(1649, 2, 20, 3, 1, 'E', 0, 0),
(1650, 2, 20, 4, 1, 'E', 0, 0),
(1651, 2, 20, 5, 1, 'E', 0, 0),
(1652, 2, 20, 6, 1, 'E', 0, 0),
(1653, 2, 20, 7, 1, 'E', 0, 0),
(1654, 2, 20, 8, 1, 'E', 0, 0),
(1655, 2, 20, 9, 1, 'E', 0, 0),
(1656, 2, 20, 10, 1, 'E', 0, 0),
(1657, 2, 20, 11, 1, 'E', 0, 0),
(1658, 2, 20, 12, 1, 'E', 0, 0),
(1659, 2, 20, 13, 1, 'E', 0, 0),
(1660, 2, 20, 14, 1, 'E', 0, 0),
(1661, 2, 20, 15, 1, 'E', 0, 0),
(1662, 2, 20, 16, 1, 'E', 0, 0),
(1663, 2, 20, 17, 1, 'E', 0, 0),
(1664, 2, 20, 18, 1, 'E', 0, 0),
(1665, 2, 20, 19, 1, 'E', 0, 0),
(1666, 2, 20, 20, 1, 'E', 0, 0),
(1667, 2, 20, 21, 1, 'E', 0, 0),
(1668, 2, 20, 22, 1, 'E', 0, 0),
(1669, 2, 20, 23, 1, 'E', 0, 0),
(1670, 2, 20, 24, 1, 'W', 0, 0),
(1671, 2, 20, 25, 1, '', 0, 0),
(1672, 2, 21, 0, 1, 'W', 0, 0),
(1673, 2, 21, 1, 1, 'E', 0, 0),
(1674, 2, 21, 2, 1, 'E', 0, 0),
(1675, 2, 21, 3, 1, 'E', 0, 0),
(1676, 2, 21, 4, 1, 'E', 0, 0),
(1677, 2, 21, 5, 1, 'E', 0, 0),
(1678, 2, 21, 6, 1, 'E', 0, 0),
(1679, 2, 21, 7, 1, 'E', 0, 0),
(1680, 2, 21, 8, 1, 'E', 0, 0),
(1681, 2, 21, 9, 1, 'E', 0, 0),
(1682, 2, 21, 10, 1, 'E', 0, 0),
(1683, 2, 21, 11, 1, 'E', 0, 0),
(1684, 2, 21, 12, 1, 'E', 0, 0),
(1685, 2, 21, 13, 1, 'E', 0, 0),
(1686, 2, 21, 14, 1, 'E', 0, 0),
(1687, 2, 21, 15, 1, 'E', 0, 0),
(1688, 2, 21, 16, 1, 'E', 0, 0),
(1689, 2, 21, 17, 1, 'E', 0, 0),
(1690, 2, 21, 18, 1, 'E', 0, 0),
(1691, 2, 21, 19, 1, 'E', 0, 0),
(1692, 2, 21, 20, 1, 'E', 0, 0),
(1693, 2, 21, 21, 1, 'E', 0, 0),
(1694, 2, 21, 22, 1, 'E', 0, 0),
(1695, 2, 21, 23, 1, 'E', 0, 0),
(1696, 2, 21, 24, 1, 'W', 0, 0),
(1697, 2, 21, 25, 1, '', 0, 0),
(1698, 2, 22, 0, 1, 'W', 0, 0),
(1699, 2, 22, 1, 1, 'E', 0, 0),
(1700, 2, 22, 2, 1, 'E', 0, 0),
(1701, 2, 22, 3, 1, 'E', 0, 0),
(1702, 2, 22, 4, 1, 'E', 0, 0),
(1703, 2, 22, 5, 1, 'E', 0, 0),
(1704, 2, 22, 6, 1, 'E', 0, 0),
(1705, 2, 22, 7, 1, 'E', 0, 0),
(1706, 2, 22, 8, 1, 'E', 0, 0),
(1707, 2, 22, 9, 1, 'E', 0, 0),
(1708, 2, 22, 10, 1, 'E', 0, 0);
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`, `tile_x`, `tile_y`) VALUES
(1709, 2, 22, 11, 1, 'E', 0, 0),
(1710, 2, 22, 12, 1, 'E', 0, 0),
(1711, 2, 22, 13, 1, 'E', 0, 0),
(1712, 2, 22, 14, 1, 'E', 0, 0),
(1713, 2, 22, 15, 1, 'E', 0, 0),
(1714, 2, 22, 16, 1, 'E', 0, 0),
(1715, 2, 22, 17, 1, 'E', 0, 0),
(1716, 2, 22, 18, 1, 'E', 0, 0),
(1717, 2, 22, 19, 1, 'E', 0, 0),
(1718, 2, 22, 20, 1, 'E', 0, 0),
(1719, 2, 22, 21, 1, 'E', 0, 0),
(1720, 2, 22, 22, 1, 'E', 0, 0),
(1721, 2, 22, 23, 1, 'E', 0, 0),
(1722, 2, 22, 24, 1, 'W', 0, 0),
(1723, 2, 22, 25, 1, '', 0, 0),
(1724, 2, 23, 0, 1, 'W', 0, 0),
(1725, 2, 23, 1, 1, 'E', 0, 0),
(1726, 2, 23, 2, 1, 'E', 0, 0),
(1727, 2, 23, 3, 1, 'E', 0, 0),
(1728, 2, 23, 4, 1, 'E', 0, 0),
(1729, 2, 23, 5, 1, 'E', 0, 0),
(1730, 2, 23, 6, 1, 'E', 0, 0),
(1731, 2, 23, 7, 1, 'E', 0, 0),
(1732, 2, 23, 8, 1, 'E', 0, 0),
(1733, 2, 23, 9, 1, 'E', 0, 0),
(1734, 2, 23, 10, 1, 'E', 0, 0),
(1735, 2, 23, 11, 1, 'E', 0, 0),
(1736, 2, 23, 12, 1, 'E', 0, 0),
(1737, 2, 23, 13, 1, 'E', 0, 0),
(1738, 2, 23, 14, 1, 'E', 0, 0),
(1739, 2, 23, 15, 1, 'E', 0, 0),
(1740, 2, 23, 16, 1, 'E', 0, 0),
(1741, 2, 23, 17, 1, 'E', 0, 0),
(1742, 2, 23, 18, 1, 'E', 0, 0),
(1743, 2, 23, 19, 1, 'E', 0, 0),
(1744, 2, 23, 20, 1, 'E', 0, 0),
(1745, 2, 23, 21, 1, 'E', 0, 0),
(1746, 2, 23, 22, 1, 'E', 0, 0),
(1747, 2, 23, 23, 1, 'E', 0, 0),
(1748, 2, 23, 24, 1, 'W', 0, 0),
(1749, 2, 23, 25, 1, '', 0, 0),
(1750, 2, 24, 0, 1, 'W', 0, 0),
(1751, 2, 24, 1, 1, 'W', 0, 0),
(1752, 2, 24, 2, 1, 'W', 0, 0),
(1753, 2, 24, 3, 1, 'W', 0, 0),
(1754, 2, 24, 4, 1, 'W', 0, 0),
(1755, 2, 24, 5, 1, 'W', 0, 0),
(1756, 2, 24, 6, 1, 'W', 0, 0),
(1757, 2, 24, 7, 1, 'W', 0, 0),
(1758, 2, 24, 8, 1, 'W', 0, 0),
(1759, 2, 24, 9, 1, 'W', 0, 0),
(1760, 2, 24, 10, 1, 'W', 0, 0),
(1761, 2, 24, 11, 1, 'W', 0, 0),
(1762, 2, 24, 12, 1, 'W', 0, 0),
(1763, 2, 24, 13, 1, 'W', 0, 0),
(1764, 2, 24, 14, 1, 'W', 0, 0),
(1765, 2, 24, 15, 1, 'W', 0, 0),
(1766, 2, 24, 16, 1, 'W', 0, 0),
(1767, 2, 24, 17, 1, 'W', 0, 0),
(1768, 2, 24, 18, 1, 'W', 0, 0),
(1769, 2, 24, 19, 1, 'W', 0, 0),
(1770, 2, 24, 20, 1, 'W', 0, 0),
(1771, 2, 24, 21, 1, 'W', 0, 0),
(1772, 2, 24, 22, 1, 'W', 0, 0),
(1773, 2, 24, 23, 1, 'W', 0, 0),
(1774, 2, 24, 24, 1, 'W', 0, 0),
(1775, 2, 24, 25, 1, '', 0, 0),
(1776, 2, 25, 0, 1, '', 0, 0),
(1777, 2, 25, 1, 1, '', 0, 0),
(1778, 2, 25, 2, 1, '', 0, 0),
(1779, 2, 25, 3, 1, '', 0, 0),
(1780, 2, 25, 4, 1, '', 0, 0),
(1781, 2, 25, 5, 1, '', 0, 0),
(1782, 2, 25, 6, 1, '', 0, 0),
(1783, 2, 25, 7, 1, '', 0, 0),
(1784, 2, 25, 8, 1, '', 0, 0),
(1785, 2, 25, 9, 1, '', 0, 0),
(1786, 2, 25, 10, 1, '', 0, 0),
(1787, 2, 25, 11, 1, '', 0, 0),
(1788, 2, 25, 12, 1, '', 0, 0),
(1789, 2, 25, 13, 1, '', 0, 0),
(1790, 2, 25, 14, 1, '', 0, 0),
(1791, 2, 25, 15, 1, '', 0, 0),
(1792, 2, 25, 16, 1, '', 0, 0),
(1793, 2, 25, 17, 1, '', 0, 0),
(1794, 2, 25, 18, 1, '', 0, 0),
(1795, 2, 25, 19, 1, '', 0, 0),
(1796, 2, 25, 20, 1, '', 0, 0),
(1797, 2, 25, 21, 1, '', 0, 0),
(1798, 2, 25, 22, 1, '', 0, 0),
(1799, 2, 25, 23, 1, '', 0, 0),
(1800, 2, 25, 24, 1, '', 0, 0),
(1801, 2, 25, 25, 1, '', 0, 0);

--
-- Table structure for table `members`
--

CREATE TABLE IF NOT EXISTS `members` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(30) NOT NULL DEFAULT '',
  `password` varchar(15) NOT NULL DEFAULT '',
  `email` varchar(50) NOT NULL DEFAULT '',
  `lastlogin` datetime DEFAULT NULL,
  `online` tinyint(1) DEFAULT NULL,
  `money` int(11) DEFAULT '500',
  `curcharacter` int(11) DEFAULT NULL,
  `banned` tinyint(1) DEFAULT NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2;

--
-- Dumping data for table `members`
--

INSERT INTO `members` (`id`, `username`, `password`, `email`, `lastlogin`, `online`, `money`, `curcharacter`, `banned`) VALUES
(1, 'test', 'test', 'test@test.com', '2011-06-17 09:33:17', 1, 500, 1, NULL);
